local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local inventory = include("sim/inventory")
local simquery = include("sim/simquery")
local abilityutil = include("sim/abilities/abilityutil")

local W93_ai_scan =
{
	name = STRINGS.ITEMSEXTEND.UI.AI_SCAN,
	createToolTip = function( self,sim,unit,targetCell )
		return abilityutil.formatToolTip(STRINGS.ITEMSEXTEND.UI.AI_SCAN, STRINGS.ITEMSEXTEND.UI.AI_SCAN_DESC, 1 )
	end,

	profile_icon = "gui/icons/skills_icons/skills_icon_small/icon-item_scan_small.png",

	alwaysShow = true,

	getName = function( self, sim, unit )
		return STRINGS.ITEMSEXTEND.UI.AI_SCAN
	end,

	canUseAbility = function( self, sim, itemUnit, unit )
		if not (sim:getNPC():findMainframeAbility("W93_AI_assembly") and sim:getNPC():hasMainframeAbility( "W93_AI_assembly" )) then
			return false, STRINGS.ITEMSEXTEND.UI.REASON_NO_AI
		end

		if itemUnit:getTraits().cooldown and itemUnit:getTraits().cooldown > 0 then
			return false, util.sformat(STRINGS.UI.REASON.COOLDOWN, itemUnit:getTraits().cooldown)
		end

		return abilityutil.checkRequirements( itemUnit, unit )
	end,
		
	executeAbility = function( self, sim, itemUnit, unit )
		local x0, y0 = unit:getLocation()
		local params = {color ={{symbol="inner_line",r=142/255,g=253/255,b=253/255,a=0.75},{symbol="wall_digital",r=142/255,g=253/255,b=253/255,a=0.75},{symbol="boxy_tail",r=142/255,g=253/255,b=253/255,a=0.75},{symbol="boxy",r=142/255,g=253/255,b=253/255,a=0.75}} }
		sim:getNPC():hasMainframeAbility( "W93_AI_assembly" ):identifySubroutine(sim)
		sim:dispatchEvent( simdefs.EV_PLAY_SOUND, "SpySociety/Actions/guard/MFghost_exitMF" )
		sim:dispatchEvent( simdefs.EV_UNIT_ADD_FX, { unit = unit, kanim = "fx/deamon_ko", symbol = "effect", anim="in", above=true, params=params} )
		sim:dispatchEvent( simdefs.EV_UNIT_FLOAT_TXT, {txt=STRINGS.ITEMSEXTEND.UI.AI_SCANNED,x=x0,y=y0,color={r=1,g=1,b=1,a=1}} )
		inventory.useItem( sim, unit, itemUnit )			    
		simquery.LEVER_resetStatus( sim, unit, "LEGIT", true )
	end
}
return W93_ai_scan