local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilityutil = include( "sim/abilities/abilityutil" )

local W93_alarmServer =
	{
		name = STRINGS.ITEMSEXTEND.UI.PORTABLE_SERVER_CRYPTOGRAPHY,

		createToolTip = function( self, sim, unit )
			return abilityutil.formatToolTip( STRINGS.ITEMSEXTEND.UI.PORTABLE_SERVER_CRYPTOGRAPHY, util.sformat(STRINGS.ITEMSEXTEND.UI.PORTABLE_SERVER_CRYPTOGRAPHY_WARNING, unit:getTraits().alarmDecrease),1)
		end,

		getName = function( self, sim, abilityOwner, abilityUser, targetUnitID )
			return self.name
		end,

		profile_icon = nil,

		automatic = true,

		canUseAbility = function( self, sim, abilityOwner, unit )
			return true
		end,

		executeAbility = function( self, sim, abilityOwner, unit, targetUnitID, evData )
			unit:getTraits().cpuTurn = unit:getTraits().cpuTurn - 1
			if unit:getTraits().cpuTurn <= 0 then
				sim:trackerDecrement( unit:getTraits().alarmDecrease )
				sim:dispatchEvent( simdefs.EV_SHOW_WARNING, {txt=util.sformat(STRINGS.ITEMSEXTEND.UI.PORTABLE_SERVER_CRYPTOGRAPHY_WARNING,unit:getTraits().alarmDecrease), color=cdefs.COLOR_PLAYER_WARNING, sound = "SpySociety_DLC001/HUD/gameplay/DLCrouter_firewall_increase",icon=nil} )
				sim:dispatchEvent( simdefs.EV_WAIT_DELAY, 20 )
				unit:getTraits().cpuTurn = unit:getTraits().cpuTurnMax
			end
		end,

	}
return W93_alarmServer
