local util = include( "modules/util" )
local simdefs = include("sim/simdefs")

local W93_crypto_miner =
{
	name = "Crypto Miner",
	getName = function( self, sim, unit )
		return self.name
	end,
		
	onSpawnAbility = function( self, sim, unit )
        	sim:addTrigger( simdefs.TRG_ALARM_STATE_CHANGE, self )
		self.abilityOwner = unit
	end,
        
	onDespawnAbility = function( self, sim, unit )
        	sim:removeTrigger( simdefs.TRG_ALARM_STATE_CHANGE, self )
		self.abilityOwner = nil
	end,

    	onTrigger = function( self, sim, evType, evData )
		if evType == simdefs.TRG_ALARM_STATE_CHANGE and sim:getTrackerStage() <= simdefs.TRACKER_MAXSTAGE then
			if self.abilityOwner and not self.abilityOwner:isDown() and sim:getPC():getTraits().aiToken ~= nil then
				sim:getPC():getTraits().aiToken = math.min(sim:getPC():getTraits().aiToken + 2, sim:getPC():getTraits().aiTokenMax)
	    			sim:dispatchEvent( simdefs.EV_UNIT_FLOAT_TXT, {txt = util.sformat( STRINGS.PROGEXTEND.UI.PLUS_TOKEN, 2), unit = self.abilityOwner, color={r=255/255,g=255/255,b=51/255,a=1}} )
			end
		end
    	end,
}

return W93_crypto_miner