local array = include( "modules/array" )
local util = include( "modules/util" )
local mathutil = include( "modules/mathutil" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilityutil = include( "sim/abilities/abilityutil" )
local mainframe = include( "sim/mainframe" )

local hostage_monitor =
{
	name = STRINGS.ITEMSEXTEND.UI.HOSTAGE_MONITOR,
	getName = function( self, sim, unit )
		return self.name
	end,
		
	onSpawnAbility = function( self, sim, unit )
        	self.abilityOwner = unit
        	sim:addTrigger( simdefs.TRG_END_TURN, self )
	end,
        
	onDespawnAbility = function( self, sim, unit )
        	sim:removeTrigger( simdefs.TRG_END_TURN, self )
        	self.abilityOwner = nil
	end,

    	onTrigger = function( self, sim, evType, evData )
		if evType == simdefs.TRG_END_TURN and evData:isNPC() then
			local x0,y0 = self.abilityOwner:getLocation()
			if simquery.isCellWatched(sim, sim:getNPC(), x0, y0) == simdefs.CELL_WATCHED and simquery.isUnitUnderOverwatch( self.abilityOwner ) and self.abilityOwner:getTraits().movingBody ~= nil and self.abilityOwner:getTraits().movingBody:getTraits().isGuard then
				simquery.LEVER_resetStatus( sim, self.abilityOwner, "ANY", false )
	            		sim:dispatchEvent( simdefs.EV_SHOW_WARNING, {txt=STRINGS.ITEMSEXTEND.UI.HOSTAGE_MONITOR_WARNING, color=cdefs.COLOR_CORP_WARNING, sound = "SpySociety/Actions/mainframe_deterrent_action" } )
				sim:trackerAdvance( 1 )
			end
		end
    	end,
}

return hostage_monitor