local util = include( "modules/util" )
local modifiers = include( "sim/modifiers" )
local simdefs = include("sim/simdefs")

local W93_sharp_aug =
{
	name = "Sharp Augment",

	getName = function( self, sim, unit )
		return self.name
	end,

	onSpawnAbility = function( self, sim, unit )
        	self.abilityOwner = unit
        	sim:addTrigger( "TRG_AUGMENT_INSTALLED", self )

		if unit:countAugments( "augment_sharp_1" ) > 0 then
			for i=1, unit:getAugmentCount(), 1 do
				if i == 2 then
					unit:getModifiers():add( "mpMax", "SharpAug", modifiers.ADD, 0.5 )
					unit:getTraits().mp = unit:getTraits().mp + 0.5
				elseif i == 4 then
					unit:getModifiers():add( "hacking_bonus", "SharpAug", modifiers.ADD, 1 )
				elseif i == 5 then
					unit:getModifiers():add( "mpMax", "SharpAug", modifiers.ADD, 0.5 )
					unit:getTraits().mp = unit:getTraits().mp + 0.5
				end
			end
		elseif unit:countAugments( "augment_sharp_2" ) > 0 then
			for i=1, unit:getAugmentCount(), 1 do
				if i == 2 then
					unit:getModifiers():add( "dragCostMod", "SharpAug", modifiers.ADD, 0.5 )
				elseif i == 4 then
					unit:getTraits().rangedKO_bonus = (unit:getTraits().rangedKO_bonus or 0)
					unit:getModifiers():add( "rangedKO_bonus", "SharpAug", modifiers.ADD, 1 )
				elseif i == 5 then
					unit:getModifiers():add( "woundsMax", "SharpAug", modifiers.ADD, 1 )
				end
			end
		end
	end,
        
	onDespawnAbility = function( self, sim, unit )
        	sim:removeTrigger( "TRG_AUGMENT_INSTALLED", self )
        	self.abilityOwner = nil
	end,

	onTrigger = function( self, sim, evType, evData )
		if evType == "TRG_AUGMENT_INSTALLED" and evData.userUnit == self.abilityOwner then
			if evData.userUnit:countAugments( "augment_sharp_1" ) > 0 then
				if evData.userUnit:getAugmentCount() == 2 then
					evData.userUnit:getModifiers():add( "mpMax", "SharpAug", modifiers.ADD, 0.5 )
					evData.userUnit:getTraits().mp = evData.userUnit:getTraits().mp + 0.5
				elseif evData.userUnit:getAugmentCount() == 4 then
					evData.userUnit:getModifiers():add( "hacking_bonus", "SharpAug", modifiers.ADD, 1 )
				elseif evData.userUnit:getAugmentCount() == 5 then
					evData.userUnit:getModifiers():add( "mpMax", "SharpAug", modifiers.ADD, 0.5 )
					evData.userUnit:getTraits().mp = evData.userUnit:getTraits().mp + 0.5
				end
			elseif evData.userUnit:countAugments( "augment_sharp_2" ) > 0 then
				if evData.userUnit:getAugmentCount() == 2 then
					evData.userUnit:getModifiers():add( "dragCostMod", "SharpAug", modifiers.ADD, 0.5 )
				elseif evData.userUnit:getAugmentCount() == 4 then
					evData.userUnit:getTraits().rangedKO_bonus = (evData.userUnit:getTraits().rangedKO_bonus or 0)
					evData.userUnit:getModifiers():add( "rangedKO_bonus", "SharpAug", modifiers.ADD, 1 )
				elseif evData.userUnit:getAugmentCount() == 5 then
					evData.userUnit:getModifiers():add( "woundsMax", "SharpAug", modifiers.ADD, 1 )
				end
			end
		end
	end,
}

return W93_sharp_aug