local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local unitdefs = include("sim/unitdefs")
local simfactory = include( "sim/simfactory" )
local inventory = include("sim/inventory")
local abilityutil = include( "sim/abilities/abilityutil" )

local W93_toggle_pwrbank = 
{
		name = STRINGS.ITEMSEXTEND.UI.SUBDERMAL_POWER_BANK_USE,

		onTooltip = function( self, hud, sim, abilityOwner, abilityUser )
			return abilityutil.formatToolTip(STRINGS.ITEMSEXTEND.UI.SUBDERMAL_POWER_BANK_USE, util.sformat(STRINGS.ITEMSEXTEND.UI.SUBDERMAL_POWER_BANK_USE_TIP,abilityOwner:getTraits().pwr_bank) )
		end,

		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_chargeweapon_small.png",
		alwaysShow = true,
		HUDpriority = 6,
		getName = function( self, sim, unit )
			return STRINGS.ITEMSEXTEND.UI.SUBDERMAL_POWER_BANK_USE
		end,

		canUseAbility = function( self, sim, unit )
			if not simquery.isAgent(unit) then
				return false
			end
	
			return true
		end,

		executeAbility = function( self, sim, unit )
			if unit:getTraits().pwr_bank then
				unit:getTraits().pwr_bank = unit:getTraits().pwr_bank + 1
				if unit:getTraits().pwr_bank >= 2 then
					unit:getTraits().pwr_bank = 0
				end
			end
			sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = unit } )
			simquery.LEVER_resetStatus( sim, unit, "LEGIT", true )
		end,
}
return W93_toggle_pwrbank