local array = include( "modules/array" )
local util = include( "modules/util" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local unitdefs = include("sim/unitdefs")
local simfactory = include( "sim/simfactory" )
local inventory = include("sim/inventory")
local abilityutil = include( "sim/abilities/abilityutil" )

local W93_toggle_shield = 
{
		name = STRINGS.ITEMSEXTEND.UI.SHIELDING_RIG_USE,

		onTooltip = function( self, hud, sim, abilityOwner, abilityUser )
			return abilityutil.formatToolTip(STRINGS.ITEMSEXTEND.UI.SHIELDING_RIG_USE, string.format(STRINGS.ITEMSEXTEND.UI.SHIELDING_RIG_USE_TIP,abilityOwner:getTraits().neutralize_shield) )
		end,

		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_personal_shield_small.png",
		alwaysShow = true,
		HUDpriority = 6,
		pwrCost = 8,
		getName = function( self, sim, unit )
			return STRINGS.ITEMSEXTEND.UI.SHIELDING_RIG_USE
		end,

		canUseAbility = function( self, sim, unit )
			if not simquery.isAgent(unit) then
				return false
			end

			if self.pwrCost and unit:getPlayerOwner():getCpus() < self.pwrCost then
				return false, STRINGS.UI.COMBAT_PANEL_NO_PWR
			end				

			if unit:getTraits().neutralize_shield >= 2 then
				return false, "Shield Full"
			end
	
			return abilityutil.checkRequirements( unit )
		end,

		executeAbility = function( self, sim, unit )
			if unit:getTraits().neutralize_shield then
				unit:getTraits().neutralize_shield = unit:getTraits().neutralize_shield + 1
				unit:getTraits().shieldsMax = unit:getTraits().neutralize_shield
				unit:getTraits().shields = unit:getTraits().neutralize_shield
	    			sim:getCurrentPlayer():addCPUs( -1 * self.pwrCost, sim )
			end
			sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = unit } )
			simquery.LEVER_resetStatus( sim, unit, "LEGIT", true )
		end,
}
return W93_toggle_shield