local array = include( "modules/array" )
local util = include( "modules/util" )
local mathutil = include( "modules/mathutil" )
local cdefs = include( "client_defs" )
local simdefs = include("sim/simdefs")
local simquery = include("sim/simquery")
local abilityutil = include( "sim/abilities/abilityutil" )
local mainframe = include( "sim/mainframe" )

local W93_wmi =
{
	name = STRINGS.ITEMSEXTEND.UI.WMI,
	getName = function( self, sim, unit )
		return self.name
	end,
		
	onSpawnAbility = function( self, sim, unit )
        	self.abilityOwner = unit
		self.range = 3
        	sim:addTrigger( simdefs.TRG_START_TURN, self )
	end,
        
	onDespawnAbility = function( self, sim, unit )
        	sim:removeTrigger( simdefs.TRG_START_TURN, self )
        	self.abilityOwner = nil
	end,

    	onTrigger = function( self, sim, evType, evData )
		if evType == simdefs.TRG_START_TURN and evData:isPC() and sim:getTurnCount() > 1 then
			local firewall_broken = 0
			sim:forEachUnit(function( mainframeUnit )
				local x1, y1 = mainframeUnit:getLocation()
			    	if x1 and y1 and mainframeUnit:getTraits().mainframe_item then
					local cell = sim:getCell( self.abilityOwner:getLocation() )
					local distance = mathutil.dist2d( cell.x, cell.y, x1, y1 )
					if distance <= self.range and mainframeUnit:getTraits().mainframe_ice and mainframeUnit:getTraits().mainframe_ice > 0 and (mainframeUnit:getTraits().mainframe_status ~= "off" or (mainframeUnit:getTraits().mainframe_camera and mainframeUnit:getTraits().mainframe_booting)) then
						if not mainframeUnit:getTraits().isDrone or not mainframeUnit:isKO() then
							if not mainframeUnit:getTraits().scanned then
								sim:getPC():glimpseUnit( sim, mainframeUnit:getID() )
								mainframeUnit:getTraits().scanned = true
								sim:dispatchEvent( simdefs.EV_UNIT_REFRESH, { unit = mainframeUnit, reveal = true } )
							end
							mainframe.breakIce( sim, mainframeUnit, 1 )
							firewall_broken = firewall_broken + 1
						end
					end
			    	end
		    	end )

			if firewall_broken > 0 then
				local x0, y0 = self.abilityOwner:getLocation()
				sim:dispatchEvent( simdefs.EV_UNIT_FLOAT_TXT, { unit = self.abilityOwner , txt=util.sformat(STRINGS.ITEMSEXTEND.UI.WMI,firewall_broken), x=x0,y=y0,color={r=255/255,g=178/255,b=102/255,a=1}  } )
			end
		end
    	end,
}

return W93_wmi