local util = include( "modules/util" )
local array = include( "modules/array" )
local simdefs = include( "sim/simdefs" )
local propdefs = include( "sim/unitdefs/propdefs" )

local function onGuardTooltip( tooltip, unit )
	if unit:getTraits().W93_data_extracted then
		tooltip:addAbility( STRINGS.ITEMSEXTEND.UI.NEURAL_DATA_EXTRACTED, STRINGS.ITEMSEXTEND.UI.NEURAL_DATA_EXTRACTED_DESC,  "gui/icons/item_icons/items_icon_small/icon-item_neural_data_extractor_small.png" )	
	end
end

local function onItemTooltip( tooltip, unit, userUnit )
	if unit:getTraits().mode and unit:getTraits().modeLdamage then
		local damageL = unit:getTraits().modeLdamage or 1
		local damageKO = unit:getTraits().modeKOdamage or 2
		local AP_L = unit:getTraits().modeL_AP or 0
		local AP_KO = unit:getTraits().modeKO_AP or 0
		tooltip:addAbility( STRINGS.ITEMSEXTEND.UI.SWITCH_WEAPON_MODE2, string.format(STRINGS.ITEMSEXTEND.UI.SWITCH_WEAPON_MODE2_DESC, damageL, damageKO, AP_L, AP_KO),  "gui/icons/action_icons/Action_icon_Small/icon-item_select_small.png" )
	elseif unit:getTraits().mode and unit:getTraits().modeEmpdamage then
		local damageKO = unit:getTraits().modeKOdamage or 1
		local damageEmp = unit:getTraits().modeEmpdamage or 3
		local AP_KO = unit:getTraits().modeKO_AP or 0
		local AP_EMP = unit:getTraits().modeEmp_AP or 0
		tooltip:addAbility( STRINGS.ITEMSEXTEND.UI.SWITCH_WEAPON_MODE3, string.format(STRINGS.ITEMSEXTEND.UI.SWITCH_WEAPON_MODE3_DESC, damageKO, damageEmp, AP_KO, AP_EMP),  "gui/icons/action_icons/Action_icon_Small/icon-item_select_small.png" )
	end

	if unit:getTraits().reprimeTime and unit:getTraits().reprimePWR then
		tooltip:addAbility( STRINGS.ITEMSEXTEND.UI.REPRIME, util.sformat(STRINGS.ITEMSEXTEND.UI.REPRIME_DESC, unit:getTraits().reprimeTime, unit:getTraits().reprimePWR),  "gui/icons/item_icons/items_icon_small/icon-item_chip_reprime_small.png" )
	end
end

return 
{
	onGuardTooltip = onGuardTooltip,
	onItemTooltip = onItemTooltip,
}