local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )

local item_templates = {
	item_stim_4 = util.extend(commondefs.item_template)
	{
		name =  STRINGS.ITEMSEXTEND.ITEMS.STIM_MARATHON,
		desc =  STRINGS.ITEMSEXTEND.ITEMS.STIM_MARATHON_TIP,
		flavor =  STRINGS.ITEMSEXTEND.ITEMS.STIM_MARATHON_FLAVOR,
		ITEM_LIST = true,
		icon = "itemrigs/FloorProp_Bandages.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_stim_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_stim.png",
		traits = { cooldown = 0, cooldownMax = 10, mpRestored = 12, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		requirements = {},
		abilities = { "carryable","recharge","use_stim" },
		value = 700,
		floorWeight = 3, 			
	},

	item_paralyzer_4 = util.extend(commondefs.item_template)
	{
		name = STRINGS.ITEMSEXTEND.ITEMS.PARALYZER_DEAF,
		desc = STRINGS.ITEMSEXTEND.ITEMS.PARALYZER_DEAF_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.PARALYZER_DEAF_FLAVOR,
		ITEM_LIST = true,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_mindwipesyringe_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_mindwipesyringe.png",	
		abilities = { "carryable","recharge","paralyze" },
		requirements = { anarchy = 2 },
		traits = { cooldown = 0, cooldownMax = 8, koTime = 2, impare_hearing = true, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		value = 450,
		floorWeight = 2,
	},

	item_icebreaker_4 = util.extend(commondefs.item_template)
	{
		name = STRINGS.ITEMSEXTEND.ITEMS.BUSTER_PWR,
		desc = STRINGS.ITEMSEXTEND.ITEMS.BUSTER_PWR_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.BUSTER_PWR_FLAVOR,

		ITEM_LIST = true,

		icon = "itemrigs/FloorProp_AmmoClip.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_chip_hyper_buster_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_chip_ice_breaker.png",		
		traits = { icebreak = 4, icebreakPWR = 1, cooldown = 0, cooldownMax = 2, usesCharges=true, charges=4, chargesMax=4, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		requirements = { anarchy = 2, },
		abilities = { "icebreak","recharge","carryable" },
		value = 600,
		floorWeight = 3,
	},

	item_emp_pack_4 = util.extend(commondefs.item_template)
	{
		type = "simemppack",
		name = STRINGS.ITEMSEXTEND.ITEMS.EMP_INT,
		desc = STRINGS.ITEMSEXTEND.ITEMS.EMP_INT_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.EMP_INT_FLAVOR,
		ITEM_LIST = true,
		icon = "itemrigs/FloorProp_emp.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_emp_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_emp.png",	
		abilities = { "carryable","recharge","prime_emp", },
		requirements = { hacking = 2 },
		traits = { cooldown = 0, cooldownMax = 8, soundRange = 6, range = 12, emp_duration = 1, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		value = 600,
		floorWeight = 2,
	},

	item_crybaby = util.extend( commondefs.grenade_template)
	{
		type = "crybaby_grenade",
		name = STRINGS.DLC1.GRENADE_CRY_BABY,
		desc = STRINGS.DLC1.GRENADE_CRY_BABY_TOOLTIP,
		flavor = STRINGS.DLC1.GRENADE_CRY_BABY_FLAVOR,
		ITEM_LIST = true,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-crybaby_small.png",	
		profile_icon_100 = "gui/icons/item_icons/crybaby.png",
		kanim = "kanim_stickycam",	
		uses_mainframe =
		{
			toggle =
			{
				name = STRINGS.DLC1.GRENADE_CRY_BABY_USE,
				tooltip = STRINGS.DLC1.GRENADE_CRY_BABY_USE_TIP,
				fn = "toggle"
			}
		},
		abilities ={"carryable" , "recharge", "throw" },		
		sounds = {activate="SpySociety/Grenades/stickycam_deploy", bounce="SpySociety/Grenades/bounce", cry_baby="SpySociety_DLC001/Actions/crybaby_activate"},
		traits = { cryBaby=true, removeAfter=true, disposable=false, usesCharges=true, charges=3, chargesMax=3, range=8, throwUnit="W93_item_crybaby", targeting_ignoreLOS=true, agent_filter=true, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"}},
		value = 300,
		floorWeight = 2, 
		locator=true,
	},
	
	W93_item_crybaby = util.extend( commondefs.grenade_template )
	{
		type = "crybaby_grenade",
		name = STRINGS.DLC1.GRENADE_CRY_BABY,
		desc = STRINGS.DLC1.GRENADE_CRY_BABY_TOOLTIP,
		flavor = STRINGS.DLC1.GRENADE_CRY_BABY_FLAVOR,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-crybaby_small.png",	
		profile_icon_100 = "gui/icons/item_icons/crybaby.png",
		kanim = "kanim_stickycam",	
		uses_mainframe =
		{
			toggle =
			{
				name = STRINGS.DLC1.GRENADE_CRY_BABY_USE,
				tooltip = STRINGS.DLC1.GRENADE_CRY_BABY_USE_TIP,
				fn = "toggle"
			}
		},
		abilities = { "throw" },		
		sounds = {activate="SpySociety/Grenades/stickycam_deploy", bounce="SpySociety/Grenades/bounce", cry_baby="SpySociety_DLC001/Actions/crybaby_activate"},
		traits = { cryBaby=true, removeAfter=true, disposable=true, range=8, throwUnit="W93_item_crybaby", targeting_ignoreLOS=true, agent_filter=true, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"}},
		value = 1,
		locator=true,
	}
}

return item_templates