local array = include( "modules/array" )
local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include( "sim/simdefs" )

function updateSafeLoot1()
	simdefs.LOOT_TABLES.lab_safe = 
	{
		{"W93_item_clip_small", 4},
		{"item_adrenaline", 4},
		{"item_lockdecoder", 1},
		{"item_light_pistol", 1},
		{"item_stickycam", 1},
		{"item_smokegrenade", 1},
		{"item_scanchip", 2},
		{"W93_item_stim_looted", 2},
		{"W93_item_paralyzer_looted", 2},
		{"W93_item_cloakingrig_looted", 2},
		{"W93_item_icebreaker_looted", 2},
		{"W93_item_portabledrive_looted", 2},
		{"W93_item_shocktrap_looted", 2},
		{"W93_item_emp_pack_looted", 2},
		{50, 8},
		{150, 8},
		{400, 8},
		{nil, 70}
	}
end

function updateGuardLoot1()
	local guards = include( "sim/unitdefs/guarddefs" )

	guards.npc_business_man.dropTable =
	{
		{nil,100}
	}
	guards.npc_business_man.anarchyDropTable =
	{

		{ "item_adrenaline" ,20},
		{nil,85}
	}

	guards.npc_scientist.dropTable =
	{	
		{ "item_adrenaline" ,5},
		{nil,100}
	}
	guards.npc_scientist.anarchyDropTable =
	{
		{ "item_scanchip", 5},
		{ "item_adrenaline" ,20},
		{nil,80}
	}

	guards.npc_guard.dropTable =
	{			
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{nil,97}
	}
	guards.npc_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,170}
	}

	guards.ftm_guard.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.ftm_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,170}
	}

	guards.ftm_grenade_guard.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{ "item_flashgrenade" ,50},
		{nil,85}
	}
	guards.ftm_grenade_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{ "item_flashgrenade" ,50},
		{nil,170}
	}

	guards.ftm_guard_tier_2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_wallet", 9},
		{nil,90}
	}
	guards.ftm_guard_tier_2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_emp_pack_looted",10},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.barrier_guard.dropTable =
	{
		{ "W93_item_emp_pack_looted",2},
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.barrier_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_emp_pack_looted",10},
		{ "W93_augment_shielding_rig",3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.sankaku_guard.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.sankaku_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,170}
	}

	guards.sankaku_guard_tier_2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_wallet", 9},
		{nil,90}
	}
	guards.sankaku_guard_tier_2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_portabledrive_looted",10},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.plastek_guard.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.plastek_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,170}
	}

	guards.plastek_guard_tier2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_wallet", 9},
		{nil,90}
	}
	guards.plastek_guard_tier2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_paralyzer_looted",10},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.plastek_recapture_guard.dropTable =
	{
		{ "W93_item_paralyzer_looted",2},
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.plastek_recapture_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_paralyzer_looted",10},
		{ "W93_augment_wmi", 3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.plastek_firewall_guard.dropTable =
	{
		{ "W93_item_paralyzer_looted",2},
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.plastek_firewall_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_paralyzer_looted",10},
		{ "item_icebreaker", 3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.ko_guard.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.ko_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,170}
	}

	guards.ko_grenade_guard.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{ "item_flashgrenade" ,50},
		{nil,85}
	}
	guards.ko_grenade_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{ "item_flashgrenade" ,50},
		{nil,170}
	}

	guards.ko_guard_tier2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_wallet", 9},
		{nil,90}
	}
	guards.ko_guard_tier2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_shocktrap_looted",10},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.ko_guard_heavy.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_shocktrap_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ko_guard_heavy.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_shocktrap_looted",10},
		{ "item_tazer",3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.ko_specops.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_shocktrap_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ko_specops.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_shocktrap_looted",10},
		{ "item_tag_pistol",3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.null_drone.dropTable = 
	{
		{ "W93_item_portabledrive_looted", 10 },
		{nil, 95}
	}

	guards.drone_akuma_17_9.dropTable = 
	{
		{ "W93_item_icebreaker_looted", 10 },
		{nil, 95}
	}
end
---------------------------------------------------
function updateGuardLoot2()
	local guards = include( "sim/unitdefs/guarddefs" )

	guards.plastek_siren_guard.dropTable =
	{
		{ "W93_item_paralyzer_looted",2},
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.plastek_siren_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_paralyzer_looted",10},
		{ "item_crybaby", 3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.ko_flack_guard.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_shocktrap_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ko_flack_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_shocktrap_looted",10},
		{ "item_armor_tazer_1",3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.scientist.dropTable =
	{
		{ "augment_carbon_myomer" ,2},
		{ "augment_microslam_apparatus", 2},
		{ "augment_torque_injectors", 2},
		{ "augment_skeletal_suspension",2},
		{nil,97}
	}
	guards.scientist.anarchyDropTable =
	{
		{ "augment_carbon_myomer" ,10},
		{ "augment_microslam_apparatus", 10},
		{ "augment_torque_injectors", 10},
		{ "augment_skeletal_suspension",10},
		{ "item_adrenaline" ,10},
		{nil,155}
	}

	guards.barrier_guard_LV2.dropTable =
	{
		{ "W93_item_emp_pack_looted",1},
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.barrier_guard_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_emp_pack_looted",8},
		{ "W93_augment_shielding_rig",3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	guards.ko_guard_heavy_LV2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_shocktrap_looted",1},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ko_guard_heavy_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_shocktrap_looted",8},
		{ "item_tazer",3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	guards.plastek_siren_guard_LV2.dropTable =
	{
		{ "W93_item_paralyzer_looted",1},
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.plastek_siren_guard_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_paralyzer_looted",8},
		{ "item_crybaby", 3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	guards.plastek_recapture_guard_LV2.dropTable =
	{
		{ "W93_item_paralyzer_looted",1},
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.plastek_recapture_guard_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",8},
		{ "W93_item_paralyzer_looted",8},
		{ "W93_augment_wmi", 3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	guards.null_drone_LV2.dropTable = 
	{
		{ "W93_item_portabledrive_looted", 8 },
		{nil, 97}
	}

	guards.drone_akuma_LV2.dropTable = 
	{
		{ "W93_item_icebreaker_looted", 8 },
		{nil, 97}
	}

	guards.ko_specops_LVL2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_shocktrap_looted",1},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ko_specops_LVL2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_shocktrap_looted",8},
		{ "item_tag_pistol",3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}
end
----------------------------------------------------------
function updateGuardLoot3()
	local guards = include( "sim/unitdefs/guarddefs" )

	guards.ce_ftm_sysadmin.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_portabledrive_looted",2},
		{ "W93_item_icebreaker_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_ftm_sysadmin.anarchyDropTable =
	{
		{ "item_adrenaline" ,10},
		{ "item_scanchip" ,10},
		{ "W93_item_portabledrive_looted",20},
		{ "W93_item_icebreaker_looted",20},
		{nil,150}
	}
	guards.ce_ftm_sysadmin_new.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_portabledrive_looted",2},
		{ "W93_item_icebreaker_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_ftm_sysadmin_new.anarchyDropTable =
	{
		{ "item_adrenaline" ,10},
		{ "item_scanchip" ,10},
		{ "W93_item_portabledrive_looted",20},
		{ "W93_item_icebreaker_looted",20},
		{nil,150}
	}

	guards.ce_ko_sysadmin.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_portabledrive_looted",2},
		{ "W93_item_icebreaker_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_ko_sysadmin.anarchyDropTable =
	{
		{ "item_adrenaline" ,10},
		{ "item_scanchip" ,10},
		{ "W93_item_portabledrive_looted",20},
		{ "W93_item_icebreaker_looted",20},
		{nil,150}
	}
	guards.ce_ko_sysadmin_new.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_portabledrive_looted",2},
		{ "W93_item_icebreaker_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_ko_sysadmin_new.anarchyDropTable =
	{
		{ "item_adrenaline" ,10},
		{ "item_scanchip" ,10},
		{ "W93_item_portabledrive_looted",20},
		{ "W93_item_icebreaker_looted",20},
		{nil,150}
	}

	guards.ce_plastek_sysadmin.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_portabledrive_looted",2},
		{ "W93_item_icebreaker_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_plastek_sysadmin.anarchyDropTable =
	{
		{ "item_adrenaline" ,10},
		{ "item_scanchip" ,10},
		{ "W93_item_portabledrive_looted",20},
		{ "W93_item_icebreaker_looted",20},
		{nil,150}
	}
	guards.ce_plastek_sysadmin_new.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_portabledrive_looted",2},
		{ "W93_item_icebreaker_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_plastek_sysadmin_new.anarchyDropTable =
	{
		{ "item_adrenaline" ,10},
		{ "item_scanchip" ,10},
		{ "W93_item_portabledrive_looted",20},
		{ "W93_item_icebreaker_looted",20},
		{nil,150}
	}

	guards.ce_sankaku_sysadmin.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_portabledrive_looted",2},
		{ "W93_item_icebreaker_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_sankaku_sysadmin.anarchyDropTable =
	{
		{ "item_adrenaline" ,10},
		{ "item_scanchip" ,10},
		{ "W93_item_portabledrive_looted",20},
		{ "W93_item_icebreaker_looted",20},
		{nil,150}
	}
	guards.ce_sankaku_sysadmin_new.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_portabledrive_looted",2},
		{ "W93_item_icebreaker_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_sankaku_sysadmin_new.anarchyDropTable =
	{
		{ "item_adrenaline" ,10},
		{ "item_scanchip" ,10},
		{ "W93_item_portabledrive_looted",20},
		{ "W93_item_icebreaker_looted",20},
		{nil,150}
	}

	if guards.neptune_sysadmin then
		guards.neptune_sysadmin.dropTable =
		{
			{ "W93_item_clip_small" ,3},
			{ "item_adrenaline" ,3},
			{ "W93_item_portabledrive_looted",2},
			{ "W93_item_icebreaker_looted",2},
			{ "W93_item_wallet", 10},
			{nil,85}
		}
		guards.neptune_sysadmin.anarchyDropTable =
		{
			{ "item_adrenaline" ,10},
			{ "item_scanchip" ,10},
			{ "W93_item_portabledrive_looted",20},
			{ "W93_item_icebreaker_looted",20},
			{nil,150}
		}
		guards.neptune_sysadmin_new.dropTable =
		{
			{ "W93_item_clip_small" ,3},
			{ "item_adrenaline" ,3},
			{ "W93_item_portabledrive_looted",2},
			{ "W93_item_icebreaker_looted",2},
			{ "W93_item_wallet", 10},
			{nil,85}
		}
		guards.neptune_sysadmin_new.anarchyDropTable =
		{
			{ "item_adrenaline" ,10},
			{ "item_scanchip" ,10},
			{ "W93_item_portabledrive_looted",20},
			{ "W93_item_icebreaker_looted",20},
			{nil,150}
		}
	end
end
---------------------------------------------------------
function updateGuardLoot4()
	local guards = include( "sim/unitdefs/guarddefs" )

	guards.ce_ftm_guard_weak.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.ce_ftm_guard_weak.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,170}
	}

	guards.ce_sankaku_guard_weak.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.ce_sankaku_guard_weak.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,170}
	}

	guards.ce_ko_guard_weak.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.ce_ko_guard_weak.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,170}
	}

	guards.ce_plastek_guard_weak.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.ce_plastek_guard_weak.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,170}
	}

	guards.ce_ftm_guard_prototype.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.ce_ftm_guard_prototype.anarchyDropTable =
	{
		{ "W93_item_emp_pack_looted",15},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.ce_ko_guard_prototype.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.ce_ko_guard_prototype.anarchyDropTable =
	{
		{ "W93_item_shocktrap_looted",15},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.ce_plastek_guard_prototype.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.ce_plastek_guard_prototype.anarchyDropTable =
	{
		{ "W93_item_paralyzer_looted",15},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.ce_scanner_guard.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_emp_pack_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_scanner_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_emp_pack_looted",10},
		{ "item_wireless_scanner_1",3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.ce_electrical_guard.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_emp_pack_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_electrical_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_emp_pack_looted",10},
		{ "augment_holocircuit_overloaders",3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.ce_ftm_defense_matrix_guard.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_emp_pack_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_ftm_defense_matrix_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_emp_pack_looted",10},
		{ "item_emp_pack",3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.ce_plastek_firewall_guard.dropTable =
	{
		{ "W93_item_paralyzer_looted",2},
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_plastek_firewall_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_paralyzer_looted",10},
		{ "item_icebreaker", 3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.ce_plastek_melee_guard.dropTable =
	{
		{ "W93_item_cloakingrig_looted",2},
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_plastek_melee_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_cloakingrig_looted",10},
		{ "item_baton", 3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.ce_plastek_psi_guard.dropTable =
	{
		{ "W93_item_cloakingrig_looted",2},
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_plastek_psi_guard.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_cloakingrig_looted",10},
		{ "item_paralyzer", 3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.ce_plastek_guard_augmented.dropTable =
	{
		{ "W93_item_paralyzer_looted",2},
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_plastek_guard_augmented.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_paralyzer_looted",10},
		{ "augment_titanium_rods", 3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.ce_ko_thor.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_shocktrap_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_ko_thor.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_shocktrap_looted",10},
		{ "W93_weapon_pwr_baton",3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.ce_ko_sniper.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_shocktrap_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_ko_sniper.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_shocktrap_looted",10},
		{ "item_light_pistol_dam",3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.ce_ko_assault.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_shocktrap_looted",2},
		{ "W93_item_wallet", 10},
		{nil,85}
	}
	guards.ce_ko_assault.anarchyDropTable =
	{
		{ "W93_item_stim_looted",5},
		{ "W93_item_shocktrap_looted",10},
		{ "item_light_pistol_KO",3},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,159}
	}

	guards.ce_sankaku_engineer.dropTable =
	{
		{ "W93_item_clip_small" ,4},
		{ "item_adrenaline" ,4},
		{ "W93_item_wallet", 12},
		{nil,85}
	}
	guards.ce_sankaku_engineer.anarchyDropTable =
	{
		{ "W93_item_portabledrive_looted",15},
		{ "W93_item_clip_small" ,20},
		{ "item_adrenaline" ,10},
		{nil,160}
	}

	guards.ce_sk_grenade_drone.dropTable = 
	{
		{ "W93_item_portabledrive_looted", 10 },
		{nil, 95}
	}

	guards.ce_tech_drone.dropTable = 
	{
		{ "W93_item_icebreaker_looted", 10 },
		{nil, 95}
	}
	guards.ce_tech_drone.anarchyDropTable =
	{
		{ "W93_item_icebreaker_looted", 35 },
		{ "W93_item_portabledrive_looted", 20 },
		{ "W93_item_charge_cell", 3},
		{nil, 149}
	}

	guards.ce_sk_drone_protocol.dropTable = 
	{
		{ "W93_item_icebreaker_looted", 10 },
		{nil, 95}
	}
	guards.ce_sk_drone_protocol.anarchyDropTable =
	{
		{ "W93_item_icebreaker_looted", 35 },
		{ "W93_item_portabledrive_looted", 20 },
		{ "W93_item_scan_pack", 3},
		{nil, 149}
	}

	guards.ce_scanner_guard_LV2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_emp_pack_looted",1},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ce_scanner_guard_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_emp_pack_looted",8},
		{ "item_wireless_scanner_1",3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	guards.ce_electrical_guard_LV2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_emp_pack_looted",1},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ce_electrical_guard_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_emp_pack_looted",8},
		{ "augment_holocircuit_overloaders",3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	guards.ce_ftm_defense_matrix_guard_LV2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_emp_pack_looted",1},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ce_ftm_defense_matrix_guard_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_emp_pack_looted",8},
		{ "item_emp_pack",3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	guards.ce_plastek_guard_augmented_LV2.dropTable =
	{
		{ "W93_item_paralyzer_looted",1},
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ce_plastek_guard_augmented_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_paralyzer_looted",8},
		{ "augment_titanium_rods", 3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	guards.ce_plastek_psi_guard_LV2.dropTable =
	{
		{ "W93_item_cloakingrig_looted",1},
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ce_plastek_psi_guard_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_cloakingrig_looted",8},
		{ "item_paralyzer", 3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	guards.ce_plastek_melee_guard_LV2.dropTable =
	{
		{ "W93_item_cloakingrig_looted",1},
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ce_plastek_melee_guard_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_cloakingrig_looted",8},
		{ "item_baton", 3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	guards.ce_tech_drone_LV2.dropTable = 
	{
		{ "W93_item_icebreaker_looted", 5 },
		{nil, 100}
	}
	guards.ce_tech_drone_LV2.anarchyDropTable =
	{
		{ "W93_item_icebreaker_looted", 25 },
		{ "W93_item_portabledrive_looted", 15 },
		{ "W93_item_charge_cell", 3},
		{nil, 164}
	}

	guards.ce_sk_drone_protocol_LV2.dropTable = 
	{
		{ "W93_item_icebreaker_looted", 5 },
		{nil, 100}
	}
	guards.ce_sk_drone_protocol_LV2.anarchyDropTable =
	{
		{ "W93_item_icebreaker_looted", 25 },
		{ "W93_item_portabledrive_looted", 15 },
		{ "W93_item_scan_pack", 3},
		{nil, 164}
	}

	guards.ce_sankaku_engineer_LV2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_portabledrive_looted",1},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ce_sankaku_engineer_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_portabledrive_looted",8},
		{ "W93_item_drone_toolkit",3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,159}
	}

	guards.ce_ko_assault_LV2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_shocktrap_looted",1},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ce_ko_assault_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_shocktrap_looted",8},
		{ "item_light_pistol_KO",3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,159}
	}

	guards.ce_ko_grenade_guard_LV2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_shocktrap_looted",1},
		{ "W93_item_wallet", 8},
		{ "item_flashgrenade" ,40},
		{nil,90}
	}
	guards.ce_ko_grenade_guard_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_shocktrap_looted",8},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{ "item_flashgrenade" ,80},
		{nil,169}
	}

	guards.ce_ko_sniper_LV2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_shocktrap_looted",1},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ce_ko_sniper_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_shocktrap_looted",8},
		{ "item_light_pistol_dam",3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	guards.ce_ko_thor_LV2.dropTable =
	{
		{ "W93_item_clip_small" ,3},
		{ "item_adrenaline" ,3},
		{ "W93_item_shocktrap_looted",1},
		{ "W93_item_wallet", 8},
		{nil,90}
	}
	guards.ce_ko_thor_LV2.anarchyDropTable =
	{
		{ "W93_item_stim_looted",4},
		{ "W93_item_shocktrap_looted",8},
		{ "W93_weapon_pwr_baton",3},
		{ "W93_item_clip_small" ,16},
		{ "item_adrenaline" ,8},
		{nil,168}
	}

	if guards.neptune_guard then
		guards.neptune_guard.dropTable =
		{
			{ "W93_item_clip_small" ,4},
			{ "item_adrenaline" ,4},
			{ "W93_item_wallet", 12},
			{nil,85}
		}
		guards.neptune_guard.anarchyDropTable =
		{
			{ "W93_item_stim_looted",5},
			{ "W93_item_clip_small" ,20},
			{ "item_adrenaline" ,10},
			{nil,170}
		}

		guards.neptune_guard_weak.dropTable =
		{
			{ "W93_item_clip_small" ,4},
			{ "item_adrenaline" ,4},
			{ "W93_item_wallet", 12},
			{nil,85}
		}
		guards.neptune_guard_weak.anarchyDropTable =
		{
			{ "W93_item_stim_looted",5},
			{ "W93_item_clip_small" ,20},
			{ "item_adrenaline" ,10},
			{nil,170}
		}

		guards.neptune_guard_tier_2.dropTable =
		{
			{ "W93_item_clip_small" ,3},
			{ "item_adrenaline" ,3},
			{ "W93_item_wallet", 9},
			{nil,90}
		}
		guards.neptune_guard_tier_2.anarchyDropTable =
		{
			{ "W93_item_stim_looted",5},
			{ "W93_item_emp_pack_looted",10},
			{ "W93_item_clip_small" ,20},
			{ "item_adrenaline" ,10},
			{nil,160}
		}

		guards.neptune_frost_guard.dropTable =
		{
			{ "W93_item_cloakingrig_looted",2},
			{ "W93_item_clip_small" ,4},
			{ "item_adrenaline" ,4},
			{ "W93_item_wallet", 10},
			{nil,85}
		}
		guards.neptune_frost_guard.anarchyDropTable =
		{
			{ "W93_item_stim_looted",5},
			{ "W93_item_cloakingrig_looted",10},
			{ "item_stim", 3},
			{ "W93_item_clip_small" ,20},
			{ "item_adrenaline" ,10},
			{nil,160}
		}

		guards.neptune_seeker_guard.dropTable =
		{
			{ "W93_item_cloakingrig_looted",2},
			{ "W93_item_clip_small" ,4},
			{ "item_adrenaline" ,4},
			{ "W93_item_wallet", 10},
			{nil,85}
		}
		guards.neptune_seeker_guard.anarchyDropTable =
		{
			{ "W93_item_stim_looted",5},
			{ "W93_item_cloakingrig_looted",10},
			{ "item_stim", 3},
			{ "W93_item_clip_small" ,20},
			{ "item_adrenaline" ,10},
			{nil,160}
		}

		guards.neptune_frost_guard_LV2.dropTable =
		{
			{ "W93_item_cloakingrig_looted",1},
			{ "W93_item_clip_small" ,3},
			{ "item_adrenaline" ,3},
			{ "W93_item_wallet", 8},
			{nil,90}
		}
		guards.neptune_frost_guard_LV2.anarchyDropTable =
		{
			{ "W93_item_stim_looted",4},
			{ "W93_item_cloakingrig_looted",8},
			{ "item_stim", 3},
			{ "W93_item_clip_small" ,16},
			{ "item_adrenaline" ,8},
			{nil,168}
		}

		guards.neptune_seeker_guard_LV2.dropTable =
		{
			{ "W93_item_cloakingrig_looted",1},
			{ "W93_item_clip_small" ,3},
			{ "item_adrenaline" ,3},
			{ "W93_item_wallet", 8},
			{nil,90}
		}
		guards.neptune_seeker_guard_LV2.anarchyDropTable =
		{
			{ "W93_item_stim_looted",4},
			{ "W93_item_cloakingrig_looted",8},
			{ "item_stim", 3},
			{ "W93_item_clip_small" ,16},
			{ "item_adrenaline" ,8},
			{nil,168}
		}
	end
end
---------------------------------------------------------
function restoreGuardLoot1()
	local guards = include( "sim/unitdefs/guarddefs" )

	guards.npc_business_man.dropTable =
	{
		{ "item_adrenaline" ,5},
		{nil,75}
	}
	guards.npc_business_man.anarchyDropTable =
	{
		{ "item_laptop",5},
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_adrenaline" ,35},
		{nil,150}
	}

	guards.npc_scientist.dropTable =
	{	
		{ "item_stim" ,5},
		{nil,75}
	}
	guards.npc_scientist.anarchyDropTable =
	{
		{ "item_laptop",5},
		{ "item_hologrenade",5},
		{ "item_stickycam" ,35},
		{nil,150}
	}

	guards.npc_guard.dropTable =
	{			
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.npc_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ftm_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.ftm_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ftm_grenade_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{ "item_flashgrenade" ,50},
		{nil,90}
	}
	guards.ftm_grenade_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_flashgrenade" ,50},	    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ftm_guard_tier_2.dropTable =
	{
		{ "item_emp_pack", 15 },
		{ "item_emp_pack_2", 6},
		{ "item_emp_pack_3", 4 },
		{ "item_shocktrap_2", 4 },
		{ "item_shocktrap_3", 4 },
		{nil, 68}
	}
	guards.ftm_guard_tier_2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{nil,150}
	}

	guards.barrier_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.barrier_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{nil,150}
	}

	guards.sankaku_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.sankaku_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.sankaku_guard_tier_2.dropTable =
	{
		{ "item_emp_pack", 15 },
		{ "item_emp_pack_2", 6},
		{ "item_emp_pack_3", 4 },
		{ "item_shocktrap_2", 4 },
		{ "item_shocktrap_3", 4 },
		{nil, 68}
	}
	guards.sankaku_guard_tier_2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{nil,150}
	}

	guards.plastek_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.plastek_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.plastek_guard_tier2.dropTable =
	{
		{ "item_clip" , 10},
		{ "item_laptop", 3 },
		{ "item_tazer_2" ,5},
		{ "item_tazer_3", 2 },
		{nil,80}
	}
	guards.plastek_guard_tier2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{nil,135}
	}

	guards.plastek_recapture_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.plastek_recapture_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.plastek_firewall_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.plastek_firewall_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ko_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.ko_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ko_grenade_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{ "item_flashgrenade" ,50},
		{nil,90}
	}
	guards.ko_grenade_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_flashgrenade" ,50},	    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ko_guard_tier2.dropTable =
	{
		{ "item_clip" , 8},
		{ "item_stim", 7},
		{ "item_stim_2", 3},
		{nil,79},
	}
	guards.ko_guard_tier2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,135}
	}

	guards.ko_guard_heavy.dropTable =
	{
		{ "item_clip" , 8},
		{ "item_stim", 7},
		{ "item_stim_2", 6},
		{ "item_stim_3", 5 },
		{ nil, 74 },
	}
	guards.ko_guard_heavy.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,135}
	}

	guards.ko_specops.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_stim_2", 6},
		{ "item_stim_3", 5 },
		{ "item_cloakingrig_3", 10 },
		{nil, 74},
	}
	guards.ko_specops.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,135}
	}

	guards.null_drone.dropTable = 
	{
		{ "item_portabledrive", 25 },
		{ "item_portabledrive_2", 5 },
		{ "item_portabledrive_3", 3 },
		{nil, 67}
	}

	guards.drone_akuma_17_9.dropTable = 
	{
		{ "item_icebreaker", 25 },
		{ "item_icebreaker_2", 5 },
		{ "item_icebreaker_3", 3 },
		{nil, 67}
	}
end

function restoreGuardLoot2()
	local guards = include( "sim/unitdefs/guarddefs" )

	guards.plastek_siren_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.plastek_siren_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ko_flack_guard.dropTable =
	{
		{ "item_clip" ,10},
		{nil,90}
	}
	guards.ko_flack_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.scientist.dropTable =
	{
		{ "augment_carbon_myomer" ,5},
		{ "augment_microslam_apparatus", 5},
		{ "augment_torque_injectors", 5},
		{ "augment_skeletal_suspension",5},
		{nil,100}
	}
	guards.scientist.anarchyDropTable =
	{
		{ "item_laptop",5},
		{ "item_stim",5},
		{nil,150}
	}

	guards.barrier_guard_LV2.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.barrier_guard_LV2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{nil,150}
	}

	guards.ko_guard_heavy_LV2.dropTable =
	{
		{ "item_clip" , 8},
		{ "item_stim", 7},
		{ "item_stim_2", 6},
		{ "item_stim_3", 5 },
		{ nil, 74 },
	}
	guards.ko_guard_heavy_LV2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,135}
	}

	guards.plastek_siren_guard_LV2.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.plastek_siren_guard_LV2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.plastek_recapture_guard_LV2.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.plastek_recapture_guard_LV2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.null_drone_LV2.dropTable = 
	{
		{ "item_portabledrive", 25 },
		{ "item_portabledrive_2", 5 },
		{ "item_portabledrive_3", 3 },
		{nil, 67}
	}

	guards.drone_akuma_LV2.dropTable = 
	{
		{ "item_icebreaker", 25 },
		{ "item_icebreaker_2", 5 },
		{ "item_icebreaker_3", 3 },
		{nil, 67}
	}

	guards.ko_specops_LVL2.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_stim_2", 6},
		{ "item_stim_3", 5 },
		{ "item_cloakingrig_3", 10 },
		{nil, 74},
	}
	guards.ko_specops_LVL2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,135}
	}
end

function restoreGuardLoot3()
	local guards = include( "sim/unitdefs/guarddefs" )

	guards.ce_ftm_sysadmin.dropTable =
	{
		{ "item_adrenaline" ,5},
		{ "item_laptop",5},
		{ "item_icebreaker",5},
		{ "item_portabledrive",5},
		{nil,150}
	}
	guards.ce_ftm_sysadmin.anarchyDropTable =
	{
		{ "item_laptop_2",5},
		{ "item_icebreaker_2",5},
		{ "item_portabledrive_2",5},
		{ "item_stim",3 },
		{ "item_tazer", 2 },
		{ "item_adrenaline" ,10},
		{ "item_paralyzer" ,10},
		{nil,130}
	}
	guards.ce_ftm_sysadmin_new.dropTable =
	{
		{ "item_adrenaline" ,5},
		{ "item_laptop",5},
		{ "item_icebreaker",5},
		{ "item_portabledrive",5},
		{nil,150}
	}
	guards.ce_ftm_sysadmin_new.anarchyDropTable =
	{
		{ "item_laptop_2",5},
		{ "item_icebreaker_2",5},
		{ "item_portabledrive_2",5},
		{ "item_stim",3 },
		{ "item_tazer", 2 },
		{ "item_adrenaline" ,10},
		{ "item_paralyzer" ,10},
		{nil,130}
	}

	guards.ce_ko_sysadmin.dropTable =
	{
		{ "item_adrenaline" ,5},
		{ "item_laptop",5},
		{ "item_icebreaker",5},
		{ "item_portabledrive",5},
		{nil,150}
	}
	guards.ce_ko_sysadmin.anarchyDropTable =
	{
		{ "item_laptop_2",5},
		{ "item_icebreaker_2",5},
		{ "item_portabledrive_2",5},
		{ "item_stim",3 },
		{ "item_tazer", 2 },
		{ "item_adrenaline" ,10},
		{ "item_paralyzer" ,10},
		{nil,130}
	}
	guards.ce_ko_sysadmin_new.dropTable =
	{
		{ "item_adrenaline" ,5},
		{ "item_laptop",5},
		{ "item_icebreaker",5},
		{ "item_portabledrive",5},
		{nil,150}
	}
	guards.ce_ko_sysadmin_new.anarchyDropTable =
	{
		{ "item_laptop_2",5},
		{ "item_icebreaker_2",5},
		{ "item_portabledrive_2",5},
		{ "item_stim",3 },
		{ "item_tazer", 2 },
		{ "item_adrenaline" ,10},
		{ "item_paralyzer" ,10},
		{nil,130}
	}

	guards.ce_plastek_sysadmin.dropTable =
	{
		{ "item_adrenaline" ,5},
		{ "item_laptop",5},
		{ "item_icebreaker",5},
		{ "item_portabledrive",5},
		{nil,150}
	}
	guards.ce_plastek_sysadmin.anarchyDropTable =
	{
		{ "item_laptop_2",5},
		{ "item_icebreaker_2",5},
		{ "item_portabledrive_2",5},
		{ "item_stim",3 },
		{ "item_tazer", 2 },
		{ "item_adrenaline" ,10},
		{ "item_paralyzer" ,10},
		{nil,130}
	}
	guards.ce_plastek_sysadmin_new.dropTable =
	{
		{ "item_adrenaline" ,5},
		{ "item_laptop",5},
		{ "item_icebreaker",5},
		{ "item_portabledrive",5},
		{nil,150}
	}
	guards.ce_plastek_sysadmin_new.anarchyDropTable =
	{
		{ "item_laptop_2",5},
		{ "item_icebreaker_2",5},
		{ "item_portabledrive_2",5},
		{ "item_stim",3 },
		{ "item_tazer", 2 },
		{ "item_adrenaline" ,10},
		{ "item_paralyzer" ,10},
		{nil,130}
	}

	guards.ce_sankaku_sysadmin.dropTable =
	{
		{ "item_adrenaline" ,5},
		{ "item_laptop",5},
		{ "item_icebreaker",5},
		{ "item_portabledrive",5},
		{nil,150}
	}
	guards.ce_sankaku_sysadmin.anarchyDropTable =
	{
		{ "item_laptop_2",5},
		{ "item_icebreaker_2",5},
		{ "item_portabledrive_2",5},
		{ "item_stim",3 },
		{ "item_tazer", 2 },
		{ "item_adrenaline" ,10},
		{ "item_paralyzer" ,10},
		{nil,130}
	}
	guards.ce_sankaku_sysadmin_new.dropTable =
	{
		{ "item_adrenaline" ,5},
		{ "item_laptop",5},
		{ "item_icebreaker",5},
		{ "item_portabledrive",5},
		{nil,150}
	}
	guards.ce_sankaku_sysadmin_new.anarchyDropTable =
	{
		{ "item_laptop_2",5},
		{ "item_icebreaker_2",5},
		{ "item_portabledrive_2",5},
		{ "item_stim",3 },
		{ "item_tazer", 2 },
		{ "item_adrenaline" ,10},
		{ "item_paralyzer" ,10},
		{nil,130}
	}

	if guards.neptune_sysadmin then
		guards.neptune_sysadmin.dropTable =
		{
			{ "item_adrenaline" ,5},
			{ "item_laptop",5},
			{ "item_icebreaker",5},
			{ "item_portabledrive",5},
			{nil,150}
		}
		guards.neptune_sysadmin.anarchyDropTable =
		{
			{ "item_laptop_2",5},
			{ "item_icebreaker_2",5},
			{ "item_portabledrive_2",5},
			{ "item_stim",3 },
			{ "item_tazer", 2 },
			{ "item_adrenaline" ,10},
			{ "item_paralyzer" ,10},
			{nil,130}
		}
		guards.neptune_sysadmin_new.dropTable =
		{
			{ "item_adrenaline" ,5},
			{ "item_laptop",5},
			{ "item_icebreaker",5},
			{ "item_portabledrive",5},
			{nil,150}
		}
		guards.neptune_sysadmin_new.anarchyDropTable =
		{
			{ "item_laptop_2",5},
			{ "item_icebreaker_2",5},
			{ "item_portabledrive_2",5},
			{ "item_stim",3 },
			{ "item_tazer", 2 },
			{ "item_adrenaline" ,10},
			{ "item_paralyzer" ,10},
			{nil,130}
		}
	end
end

function restoreGuardLoot4()
	local guards = include( "sim/unitdefs/guarddefs" )

	guards.ce_ftm_guard_weak.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.ce_ftm_guard_weak.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ce_sankaku_guard_weak.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.ce_sankaku_guard_weak.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ce_ko_guard_weak.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.ce_ko_guard_weak.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ce_plastek_guard_weak.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.ce_plastek_guard_weak.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ce_ftm_guard_prototype.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.ce_ftm_guard_prototype.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ce_ko_guard_prototype.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.ce_ko_guard_prototype.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ce_plastek_guard_prototype.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{ "item_icebreaker", 5 },
		{nil,135}
	}
	guards.ce_plastek_guard_prototype.anarchyDropTable =
	{
		{ "item_portabledrive",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ce_scanner_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{ "item_stickycam", 10 },
		{nil,90}
	}
	guards.ce_scanner_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{nil,150}
	}

	guards.ce_electrical_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{ "item_emp_pack", 15 },
		{ "item_flash_pack", 5 },
		{nil,95}
	}
	guards.ce_electrical_guard.anarchyDropTable =
	{
		{ "item_stim",5},
		{ "item_clip" ,25},		
		{ "item_flash_pack", 5 },
		{ "item_adrenaline" ,5},
		{ "item_emp_pack", 15 },
		{ "item_emp_pack_2", 5 },
		{nil,150}
	}

	guards.ce_ftm_defense_matrix_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{ "item_emp_pack", 15 },
		{ "item_flash_pack", 5 },
		{nil,95}
	}
	guards.ce_ftm_defense_matrix_guard.anarchyDropTable =
	{
		{ "item_stim",5},
		{ "item_clip" ,25},		
		{ "item_flash_pack", 5 },
		{ "item_adrenaline" ,5},
		{ "item_emp_pack", 15 },
		{ "item_emp_pack_2", 5 },
		{nil,150}
	}

	guards.ce_plastek_firewall_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{nil,90}
	}
	guards.ce_plastek_firewall_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_laptop_2",5},
		{ "item_portabledrive_3",5 },
		{ "item_stim_3",5},
		{ "item_clip" ,15},		    
		{ "item_adrenaline" ,15},
		{ "item_stickycam",5},
		{nil,125}
	}

	guards.ce_plastek_melee_guard.dropTable =
	{
		{ "item_cloakingrig_1" ,10},
		{ "item_tazer" ,5},
		{ "item_stim",5},
		{nil,80}
	}
	guards.ce_plastek_melee_guard.anarchyDropTable =
	{
		{ "item_tazer",10},
		{ "item_stim",15},
		{ "item_cloakingrig_1" ,20},
		{ "item_cloakingrig_2" ,5},		    
		{nil,100}
	}

	guards.ce_plastek_psi_guard.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_tazer",5},
		{ "item_adrenaline" ,5},
		{ "item_smokegrenade" ,5},
		{ "item_stim",5},
		{nil,100}
	}
	guards.ce_plastek_psi_guard.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_defiblance",5},
		{ "item_stim_2",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_stickycam",2},
		{nil,120}
	}

	guards.ce_plastek_guard_augmented.dropTable =
	{
		{ "item_clip" , 10},
		{ "item_laptop", 3 },
		{ "item_tazer" ,5},
		{ "item_tazer_2", 2 },
		{nil,80}
	}
	guards.ce_plastek_guard_augmented.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{ "item_portabledrive_2", 5 },
		{ "item_icebreaker", 5 },
		{nil,140}
	}

	guards.ce_ko_thor.dropTable =
	{
		{ "item_clip" , 7},
		{ "item_defiblance", 6 },
		{ "item_shocktrap", 5 },
		{ "item_stim", 4},
		{ "item_emp_pack", 3 },
		{ "item_hologrenade_17_9", 2 },
		{ "item_stickycam", 1 },
		{ nil, 74 }
	}
	guards.ce_ko_thor.anarchyDropTable =
	{
		{ "item_power_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,5},		    
		{ "item_defiblance", 5 },
		{ "item_shocktrap_2", 5 },
		{ "item_emp_pack_2", 5 },
		{ "item_hologrenade_17_9", 5 },
		{ "item_flash_pack", 1 },
		{ "item_stickycam", 3 },
		{ "item_adrenaline" ,12},
		{nil,135}
	}

	guards.ce_ko_sniper.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_stim", 6 },
		{ "item_paralyzer", 5 },
		{ "item_adrenaline", 10 },
		{ "item_cloakingrig_1", 5 },
		{nil, 74}
	}
	guards.ce_ko_sniper.anarchyDropTable =
	{
		{ "item_light_pistol_KO",15},
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,15},		    
		{ "item_adrenaline" ,15},
		{nil,135}
	}

	guards.ce_ko_assault.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_stim_2", 6},
		{ "item_stim_3", 5 },
		{ "item_adrenaline", 10 },
		{nil, 74}
	}
	guards.ce_ko_assault.anarchyDropTable =
	{
		{ "item_light_pistol_KO",5},
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,135}
	}

	guards.ce_sankaku_engineer.dropTable =
	{
		{ "item_emp_pack", 15 },
		{ "item_emp_pack_2", 6},
		{ "item_emp_pack_3", 4 },
		{ "item_item_icebreaker_2", 4 },
		{ "item_portabledrive_3", 4 },
		{nil, 68}
	}
	guards.ce_sankaku_engineer.anarchyDropTable =
	{
		{ "item_light_pistol",5 },
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{ "item_portabledrive_3", 4 },
		{nil,150}
	}

	guards.ce_sk_grenade_drone.dropTable = 
	{
		{ "item_portabledrive", 25 },
		{ "item_portabledrive_2", 5 },
		{ "item_portabledrive_3", 3 },
		{ "item_icebreaker", 25 },
		{ "item_icebreaker_2", 5 },
		{ "item_icebreaker_3", 3 },
		{nil, 110}
	}

	guards.ce_tech_drone.dropTable = 
	{
		{ "item_hologrenade_17_9", 10 },
		{ "item_stickycam", 5 },
		{ "item_portabledrive", 15 },
		{ "item_portabledrive_2", 5 },
		{ "item_portabledrive_3", 3 },
		{ "item_icebreaker", 20 },
		{ "item_icebreaker_2", 5 },
		{ "item_icebreaker_3", 3 },
		{nil, 110}
	}
	guards.ce_tech_drone.anarchyDropTable =
	{
		{ "item_portabledrive_3", 3 },
		{ "item_icebreaker_3", 3 },
		{ "item_hologrenade_17_9", 10 },
		{ "item_stickycam", 5 },
		{ "item_laptop_3", 5 },
		{ "item_laptop_2", 5 },
		{ "item_laptop", 5 },
		{ nil, 110 },
	}

	guards.ce_sk_drone_protocol.dropTable = 
	{
			{ "item_hologrenade_17_9", 20 },
			{ "item_stickycam", 10 },
			{ "item_portabledrive", 15 },
			{ "item_portabledrive_2", 5 },
			{ "item_portabledrive_3", 3 },
			{ "item_icebreaker", 5 },
			{nil, 110}
	}
	guards.ce_sk_drone_protocol.anarchyDropTable =
	{
		{ "item_portabledrive_3", 3 },
		{ "item_hologrenade_17_9", 20 },
		{ "item_stickycam", 10 },
		{ "item_laptop_3", 5 },
		{ "item_laptop_2", 5 },
		{ "item_laptop", 5 },
		{ "steelcrow_item_router_icemelter", 20 },
		{ nil, 110 },
	}

	guards.ce_scanner_guard_LV2.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{ "item_stickycam", 10 },
		{nil,90}
	}
	guards.ce_scanner_guard_LV2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{ "item_light_pistol", 5 },
		{ "item_icebreaker", 2 },
		{nil,150}
	}

	guards.ce_electrical_guard_LV2.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{ "item_emp_pack_2", 15 },
		{ "item_flash_pack", 5 },
		{nil,90}
	}
	guards.ce_electrical_guard_LV2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		
		{ "item_flash_pack", 5 },
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{ "item_emp_pack_2", 15 },
		{nil,150}
	}

	guards.ce_ftm_defense_matrix_guard_LV2.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{ "item_emp_pack", 15 },
		{ "item_hologrenade_17_9", 5 },
		{nil,95}
	}
	guards.ce_ftm_defense_matrix_guard_LV2.anarchyDropTable =
	{
		{ "item_stim",5},
		{ "item_clip" ,25},		
		{ "item_hologrenade_17_9", 5 },
		{ "item_adrenaline" ,5},
		{ "item_emp_pack", 15 },
		{ "item_emp_pack_2", 5 },
		{nil,150}
	}

	guards.ce_plastek_guard_augmented_LV2.dropTable =
		{
		{ "item_clip" , 10},
		{ "item_laptop", 3 },
		{ "item_tazer_2" ,5},
		{ "item_tazer_3", 2 },
		{nil,80}
	}
	guards.ce_plastek_guard_augmented_LV2.anarchyDropTable =
	{
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{ "item_portabledrive_2", 5 },
		{ "item_icebreaker", 5 },
		{nil,135}
	}

	guards.ce_plastek_psi_guard_LV2.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_tazer",5},
		{ "item_adrenaline" ,5},
		{ "item_smokegrenade" ,5},
		{ "item_stim",5},
		{nil,90}
	}
	guards.ce_plastek_psi_guard_LV2.anarchyDropTable =
	{
		{ "item_tazer_2",5},
		{ "item_defiblance",5},
		{ "item_laptop_2",5},
		{ "item_portabledrive_3",5 },
		{ "item_stim_3",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_stickycam",5},
		{nil,120}
	}

	guards.ce_plastek_melee_guard_LV2.dropTable =
	{
		{ "item_cloakingrig_3" ,10},
		{ "item_cloakingrig_2" ,1},
		{ "item_tazer_3" ,3},
		{ "item_tazer_2" ,2},
		{ "item_stim",2},
		{ "item_stim_2",2},
		{nil,80}
	}
	guards.ce_plastek_melee_guard_LV2.anarchyDropTable =
	{
		{ "item_tazer_3",5},
		{ "item_power_tazer_3",5},
		{ "item_armor_tazer_3",5},
		{ "item_stim_3",15},
		{ "item_stim_2", 1 },
		{ "item_cloakingrig_2" ,2},
		{ "item_cloakingrig_3" ,20},		    
		{nil,100}
	}

	guards.ce_tech_drone_LV2.dropTable = 
	{
		{ "item_hologrenade_17_9", 10 },
		{ "item_stickycam", 5 },
		{ "item_portabledrive", 15 },
		{ "item_portabledrive_2", 5 },
		{ "item_portabledrive_3", 3 },
		{ "item_icebreaker", 20 },
		{ "item_icebreaker_2", 5 },
		{ "item_icebreaker_3", 3 },
		{nil, 100}
	}
	guards.ce_tech_drone_LV2.anarchyDropTable =
	{
		{ "item_portabledrive_3", 3 },
		{ "item_icebreaker_3", 3 },
		{ "item_hologrenade_17_9", 10 },
		{ "item_stickycam", 5 },
		{ "item_laptop_3", 5 },
		{ "item_laptop_2", 5 },
		{ "item_laptop", 5 },
		{ nil, 80 },
	}

	guards.ce_sk_drone_protocol_LV2.dropTable = 
	{
		{ "item_hologrenade_17_9", 20 },
		{ "item_stickycam", 10 },
		{ "item_portabledrive", 15 },
		{ "item_portabledrive_2", 5 },
		{ "item_portabledrive_3", 3 },
		{ "item_icebreaker", 5 },
		{nil, 110}
	}
	guards.ce_sk_drone_protocol_LV2.anarchyDropTable =
	{
		{ "item_portabledrive_3", 3 },
		{ "item_hologrenade_17_9", 20 },
		{ "item_stickycam", 10 },
		{ "item_laptop_3", 5 },
		{ "item_laptop_2", 5 },
		{ "item_laptop", 5 },
		{ "steelcrow_item_router_icemelter", 20 },
		{ nil, 110 },
	}

	guards.ce_sankaku_engineer_LV2.dropTable =
	{
		{ "item_emp_pack", 15 },
		{ "item_emp_pack_2", 6},
		{ "item_emp_pack_3", 4 },
		{ "item_item_icebreaker_2", 4 },
		{ "item_portabledrive_3", 4 },
		{nil, 68}
	}
	guards.ce_sankaku_engineer_LV2.anarchyDropTable =
	{
		{ "item_light_pistol",5 },
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{ "item_emp_pack", 15 },
		{ "item_portabledrive_3", 4 },
		{nil,150}
	}

	guards.ce_ko_assault_LV2.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_stim_2", 6},
		{ "item_stim_3", 5 },
		{ "item_adrenaline", 10 },
		{nil, 74},
	}
	guards.ce_ko_assault_LV2.anarchyDropTable =
	{
		{ "item_light_pistol_KO",5},
		{ "item_tazer",5},
		{ "item_stim",5},
		{ "item_clip" ,25},		    
		{ "item_adrenaline" ,15},
		{nil,135}
	}

	guards.ce_ko_grenade_guard_LV2.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_adrenaline" ,5},
		{ "item_flashgrenade" ,50},
		{nil,90}
	}
	guards.ce_ko_grenade_guard_LV2.anarchyDropTable =
	{
		{ "item_tazer_2",5},
		{ "item_stim",5},
		{ "item_flashgrenade" ,50},	    
		{ "item_adrenaline" ,15},
		{nil,150}
	}

	guards.ce_ko_sniper_LV2.dropTable =
	{
		{ "item_clip" ,5},
		{ "item_stim", 6 },
		{ "item_paralyzer", 5 },
		{ "item_adrenaline", 10 },
		{ "item_cloakingrig_1", 5 },
		{nil, 74},
	}
	guards.ce_ko_sniper_LV2.anarchyDropTable =
	{
		{ "item_light_pistol_KO",15},
		{ "item_tazer_2",5},
		{ "item_stim",5},
		{ "item_hologrenade_17_9",5 },
		{ "item_stickycam",5 },
		{ "item_clip" ,20},		    
		{ "item_adrenaline" ,15},
		{nil,135}
	}

	guards.ce_ko_thor_LV2.dropTable =
	{
		{ "item_clip" , 2},
		{ "item_defiblance", 6 },
		{ "item_shocktrap_2", 5 },
		{ "item_stim_2", 4},
		{ "item_emp_pack_2", 3 },
		{ "item_hologrenade_17_9", 8 },
		{ "item_stickycam", 2 },
		{ nil, 74 },
	}
	guards.ce_ko_thor_LV2.anarchyDropTable =
	{
		{ "item_power_tazer_3",5},
		{ "item_stim_2",5},		    
		{ "item_defiblance", 10 },
		{ "item_shocktrap_3", 5 },
		{ "item_emp_pack_3", 5 },
		{ "item_hologrenade_17_9", 5 },
		{ "item_smokegrenade", 5 },
		{ "item_stickycam", 2 },
		{ "item_flash_pack", 2 },
		{ "item_adrenaline" ,13},
		{nil,135}
	}

	if guards.neptune_guard then
		guards.neptune_guard.dropTable =
		{
			{ "item_clip" ,5},
			{ "item_adrenaline" ,5},
			{nil,90}
		}
		guards.neptune_guard.anarchyDropTable =
		{
			{ "item_tazer",5},
			{ "item_stim",5},
			{ "item_clip" ,25},		    
			{ "item_adrenaline" ,15},
			{nil,150}
		}

		guards.neptune_guard_weak.dropTable =
		{
			{ "item_clip" ,5},
			{ "item_adrenaline" ,5},
			{nil,90}
		}
		guards.neptune_guard_weak.anarchyDropTable =
		{
			{ "item_tazer",5},
			{ "item_stim",5},
			{ "item_clip" ,25},		    
			{ "item_adrenaline" ,15},
			{nil,150}
		}

		guards.neptune_guard_tier_2.dropTable =
		{
			{ "item_emp_pack", 15 },
			{ "item_emp_pack_2", 6},
			{ "item_emp_pack_3", 4 },
			{ "item_shocktrap_2", 4 },
			{ "item_shocktrap_3", 4 },
			{nil, 68}
		}
		guards.neptune_guard_tier_2.anarchyDropTable =
		{
			{ "item_tazer",5},
			{ "item_stim",5},
			{ "item_clip" ,25},		    
			{ "item_adrenaline" ,15},
			{ "item_emp_pack", 15 },
			{nil,150}
		}

		guards.neptune_frost_guard.dropTable =
		{
			{ "item_emp_pack", 15 },
			{ "item_emp_pack_2", 6},
			{ "item_emp_pack_3", 4 },
			{ "item_shocktrap_2", 4 },
			{ "item_shocktrap_3", 4 },
			{nil, 68}
		}
		guards.neptune_frost_guard.anarchyDropTable =
		{
			{ "item_tazer",5},
			{ "item_stim",5},
			{ "item_clip" ,25},		    
			{ "item_adrenaline" ,15},
			{ "item_emp_pack", 15 },
			{nil,150}
		}

		guards.neptune_seeker_guard.dropTable =
		{
			{ "item_emp_pack", 15 },
			{ "item_emp_pack_2", 6},
			{ "item_emp_pack_3", 4 },
			{ "item_shocktrap_2", 4 },
			{ "item_shocktrap_3", 4 },
			{nil, 68}
		}
		guards.neptune_seeker_guard.anarchyDropTable =
		{
			{ "item_tazer",5},
			{ "item_stim",5},
			{ "item_clip" ,25},		    
			{ "item_adrenaline" ,15},
			{ "item_emp_pack", 15 },
			{nil,150}
		}

		guards.neptune_frost_guard_LV2.dropTable =
		{
			{ "item_emp_pack", 15 },
			{ "item_emp_pack_2", 6},
			{ "item_emp_pack_3", 4 },
			{ "item_shocktrap_2", 4 },
			{ "item_shocktrap_3", 4 },
			{nil, 68}
		}
		guards.neptune_frost_guard_LV2.anarchyDropTable =
		{
			{ "item_tazer",5},
			{ "item_stim",5},
			{ "item_clip" ,25},		    
			{ "item_adrenaline" ,15},
			{ "item_emp_pack", 15 },
			{nil,150}
		}

		guards.neptune_seeker_guard_LV2.dropTable =
		{
			{ "item_emp_pack", 15 },
			{ "item_emp_pack_2", 6},
			{ "item_emp_pack_3", 4 },
			{ "item_shocktrap_2", 4 },
			{ "item_shocktrap_3", 4 },
			{nil, 68}
		}
		guards.neptune_seeker_guard_LV2.anarchyDropTable =
		{
			{ "item_tazer",5},
			{ "item_stim",5},
			{ "item_clip" ,25},		    
			{ "item_adrenaline" ,15},
			{ "item_emp_pack", 15 },
			{nil,150}
		}
	end
end

local item_templates =
{
	W93_item_clip_small = util.extend(commondefs.item_template)
	{
		name = STRINGS.ITEMSEXTEND.ITEMS.SMALL_CELL,
		desc = STRINGS.ITEMSEXTEND.ITEMS.SMALL_CELL_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.SMALL_CELL_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_magazine_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_magazine.png",									
		traits = { ammo_clip = 1, disposable = true, singleRecharge = true },
		abilities = { "carryable" },
		value = 200,
	},

	W93_item_stim_looted = util.extend(commondefs.item_template)
	{
		name = STRINGS.ITEMSEXTEND.ITEMS.STIM_LOOTED,
		desc = STRINGS.ITEMSEXTEND.ITEMS.STIM_LOOTED_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.STIM_LOOTED_FLAVOR,
		icon = "itemrigs/FloorProp_Bandages.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_stim_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_stim.png",
		traits = { disposable=true, mpRestored = 6, },
		requirements = {},
		abilities = { "carryable","use_stim" },
		value = 40,
		floorWeight = 1, 
	},

	W93_item_paralyzer_looted = util.extend(commondefs.item_template)
	{
		name = STRINGS.ITEMSEXTEND.ITEMS.PARALYZER_LOOTED,
		desc = STRINGS.ITEMSEXTEND.ITEMS.PARALYZER_LOOTED_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.PARALYZER_LOOTED_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_paralyzerdose_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_paralyzer_dose.png",	
		abilities = { "carryable","paralyze" },
		requirements = {},
		traits = { disposable = true, koTime = 4 },
		value = 40,
		floorWeight = 1,
	},

	W93_item_cloakingrig_looted = util.extend(commondefs.item_template)
	{
		name = STRINGS.ITEMSEXTEND.ITEMS.CLOAK_LOOTED,
		desc = STRINGS.ITEMSEXTEND.ITEMS.CLOAK_LOOTED_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.CLOAK_LOOTED_FLAVOR,
		icon = "itemrigs/FloorProp_InvisiCloakTimed.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_invisicloak_small.png",			
		profile_icon_100 = "gui/icons/item_icons/icon-item_invisi_cloak.png",
		traits = { duration = 1, disposable = true, cloakInVision = true },
		requirements = {},
		abilities = { "carryable", "useInvisiCloak" },
		value = 40,
		floorWeight = 1, 
	},

	W93_item_icebreaker_looted = util.extend(commondefs.item_template)
	{
		name = STRINGS.ITEMSEXTEND.ITEMS.BUSTER_LOOTED,
		desc = STRINGS.ITEMSEXTEND.ITEMS.BUSTER_LOOTED_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.BUSTER_LOOTED_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_chip_hyper_buster_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_chip_ice_breaker.png",		
		traits = { icebreak = 5, disposable = true },
		requirements = {},
		abilities = { "icebreak","carryable" },
		value = 40,
		floorWeight = 1,
	},

	W93_item_portabledrive_looted = util.extend(commondefs.item_template)
	{
		name = STRINGS.ITEMSEXTEND.ITEMS.PORTABLE_DRIVE_LOOTED,
		desc = STRINGS.ITEMSEXTEND.ITEMS.PORTABLE_DRIVE_LOOTED_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.PORTABLE_DRIVE_LOOTED_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_chip_accellerator_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_chip_accellerator.png",	
		traits = { hacking_bonus = 4, disposable = true, reprimeTime = 1, reprimePWR = 3 },
		requirements = {},
		abilities = { "carryable","jackin","W93_reprime" },
		value = 40,
		floorWeight = 1,
	},

	W93_item_shocktrap_looted = util.extend(commondefs.item_template)
	{
		name = STRINGS.ITEMSEXTEND.ITEMS.SHOCK_TRAP_LOOTED,
		desc = STRINGS.ITEMSEXTEND.ITEMS.SHOCK_TRAP_LOOTED_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.SHOCK_TRAP_LOOTED_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_shocktrap_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_shock trap.png",		
		traits = { disposable = true, damage = 3, stun = 3, applyFn = "isClosedDoor", doorDevice = "simtrap", soundRange = 4 },
		requirements = {},
		abilities = { "doorMechanism", "carryable" },
		value = 40,
		floorWeight = 1,
	},

	W93_item_emp_pack_looted = util.extend(commondefs.item_template)
	{
		type = "simemppack",
		name = STRINGS.ITEMSEXTEND.ITEMS.EMP_LOOTED,
		desc = STRINGS.ITEMSEXTEND.ITEMS.EMP_LOOTED_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.EMP_LOOTED_FLAVOR,
		icon = "itemrigs/FloorProp_emp.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_emp_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_emp.png",	
		abilities = { "carryable", "prime_emp" },
		requirements = {},
		traits = { disposable = true, range = 4, emp_duration = 4, soundRange = 4 },
		value = 40,
		floorWeight = 1,
	},

	W93_item_wallet = util.extend(commondefs.grenade_template)
	{
		name = STRINGS.ITEMSEXTEND.ITEMS.WALLET,
		desc = STRINGS.ITEMSEXTEND.ITEMS.WALLET_TIP,
		flavor = STRINGS.ITEMSEXTEND.ITEMS.WALLET_FLAVOR,
		icon = "itemrigs/FloorProp_KeyCard.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_credit_chip.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_credit_chip.png",	
		kanim = "kanim_hologrenade",
		requirements = {},
		traits = { disposable=false, agent_filter=true, sightable = true, hidesInCover = true },
		value = 100,
		locator=true,
	},
}

for id, template in pairs(item_templates) do
	template.id = id
end

return item_templates