local util = include( "modules/util" )
local simdefs = include( "sim/simdefs" )
local commondefs = include("sim/unitdefs/commondefs")
local tool_templates = include("sim/unitdefs/itemdefs")

function updateProps1()
	local mainprops = include( "sim/unitdefs/propdefs" )

	mainprops.door_decoder =
	{
		type = "W93_lock_decoder", 
		name = STRINGS.PROPS.DOOR_DECODER,
		onWorldTooltip = function( tooltip, unit ) 
			tooltip:addLine( unit:getName() )
			tooltip:addAbility( STRINGS.ABILITIES.DECODING, util.sformat( STRINGS.ABILITIES.DECODING_DESC, unit:getTraits().turns ), "gui/icons/action_icons/Action_icon_Small/icon-action_drop_give_small.png" )
		end,
		kanim = "kanim_lock_decoder", 
		rig ="traprig",
		traits = { turns = 10, noMainframe = true },
		abilities = {},
	}

end

function restoreProps1()
	local mainprops = include( "sim/unitdefs/propdefs" )

	mainprops.door_decoder =
	{
		type = "lock_decoder", 
		name = STRINGS.PROPS.DOOR_DECODER,
		onWorldTooltip = function( tooltip, unit ) 
			tooltip:addLine( unit:getName() )
			tooltip:addAbility( STRINGS.ABILITIES.DECODING, util.sformat( STRINGS.ABILITIES.DECODING_DESC, unit:getTraits().turns ), "gui/icons/action_icons/Action_icon_Small/icon-action_drop_give_small.png" )
		end,
		kanim = "kanim_lock_decoder", 
		rig ="traprig",
		traits = { turns = 2, noMainframe = true },
		abilities = {},
	}

end


local prop_templates =
{
	W93_door_controller =
	{
		type = "W93_door_controller", 
		name = STRINGS.ITEMSEXTEND.PROPS.DOOR_CONTROLLER,
		onWorldTooltip = function( tooltip, unit ) 
			tooltip:addLine( unit:getName() )
		end,
		kanim = "decor_elevator_arrows",
		rig ="traprig",
		traits = { trap = true, noMainframe = true },
		abilities = {},		
	},
}

-- Reassign key name to value table.
for id, template in pairs(prop_templates) do
	template.id = id
end

return prop_templates
