local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include( "sim/simdefs" )


local weapon_templates =
{

	item_tazer = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMS.TAZER_1,
		desc = STRINGS.ITEMS.TAZER_1_TOOLTIP,
		flavor = STRINGS.ITEMS.TAZER_1_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_tazer_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_tazer.png",		
		requirements = {  },
		traits = { damage = 2, cooldown = 0, cooldownMax = 3, melee = true, level = 1, soundRange = 2 },
		value = 500,
		floorWeight = 1,
	},

	item_tazer_2 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMS.TAZER_2,
		desc = STRINGS.ITEMS.TAZER_2_TOOLTIP,
		flavor = STRINGS.ITEMS.TAZER_2_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_tazer_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_tazer.png",		
		requirements = {  },
		traits = { damage = 3, cooldown = 0, armorPiercing = 1, cooldownMax = 4, melee = true, tazer = true, level = 2, soundRange = 2 },
		value = 700,
		floorWeight = 2,
	},

	item_tazer_3 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMS.TAZER_3,
		desc = STRINGS.ITEMS.TAZER_3_TOOLTIP,
		flavor = STRINGS.ITEMS.TAZER_3_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_tazer_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_tazer.png",		
		requirements = {  },
		traits = { damage = 4,  cooldown = 0, cooldownMax = 5, armorPiercing = 2, melee = true, tazer = true, level = 3, soundRange = 2 },
		value = 900,
		floorWeight = 3,
		soldAfter = 24, 
	},

	item_power_tazer_2 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMS.TAZER_PWR_2,
		desc = STRINGS.ITEMS.TAZER_PWR_2_TOOLTIP,
		flavor = STRINGS.ITEMS.TAZER_PWR_2_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_tazer_pwr_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_tazer_pwr.png",	
		abilities = { "carryable"},
		requirements = {  },
		traits = { damage = 3, pwrCost = 4, armorPiercing = 1, melee = true, tazer = true, level = 2 },
		value = 700,
		floorWeight = 2,		
	},

	item_power_tazer_3 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMS.TAZER_PWR_3,
		desc = STRINGS.ITEMS.TAZER_PWR_3_TOOLTIP,
		flavor = STRINGS.ITEMS.TAZER_PWR_3_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_tazer_pwr_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_tazer_pwr.png",		
		abilities = { "carryable" },
		requirements = {  },
		traits = { damage = 4, pwrCost = 5, armorPiercing = 2, melee = true, tazer = true, level = 3 },
		value = 900,
		floorWeight = 3,	
		soldAfter = 24, 	
	},

	item_light_pistol_dam = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.ITEMS.PISTOL_DAM,
		desc = STRINGS.ITEMS.PISTOL_DAM_TOOLTIP,
		flavor = STRINGS.ITEMS.PISTOL_DAM_FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",			
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { weaponType="pistol", baseDamage = 2, ammo = 1, maxAmmo = 1, armorPiercing = 1, soundRange = 8 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_handgun_wood"},
		weapon_anim = "kanim_light_rifle",
		agent_anim = "anims_2h",
		value = 700,
	},

	item_light_pistol_KO = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.GUARD_PISTOL,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.GUARD_PISTOL_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.GUARD_PISTOL_FLAVOR,
		icon = "itemrigs/FloorProp_Pistol.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-weapon_corporate_sidearm_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-weapon_corporate_sidearm.png",			
		equipped_icon = "gui/items/equipped_pistol.png",
		abilities = { "carryable", "shootSingle", "equippable", "reload", "W93_switchWeaponMode" },
		traits = { weaponType="pistol", baseDamage = 2, canSleep = true, ammo = 2, maxAmmo = 2, modeKOdamage = 2, modeLdamage = 1, mode = "KO", soundRange = 6 },
		sounds = {shoot="SpySociety/Weapons/LowBore/shoot_handgun", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_handgun_wood"},
		weapon_anim = "kanim_light_revolver",
		agent_anim = "anims_1h",
		value = 600,
	},

	item_light_pistol_ammo = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.ITEMS.PISTOL_AMMO,
		desc = STRINGS.ITEMS.PISTOL_AMMO_TOOLTIP,
		flavor = STRINGS.ITEMS.PISTOL_AMMO_FLAVOR,
		icon = "itemrigs/FloorProp_Pistol.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_pistol_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_pistol.png",			
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { weaponType="pistol", baseDamage = 1, ammo = 3, maxAmmo = 3, soundRange = 6 },
		sounds = {shoot="SpySociety/Weapons/LowBore/shoot_handgun", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_handgun_wood"},
		weapon_anim = "kanim_light_revolver",
		agent_anim = "anims_1h",
		value = 900,
	},

	item_revolver_deckard = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.ITEMS.REVOLVER_DECKARD,
		desc = STRINGS.ITEMS.REVOLVER_DECKARD_TOOLTIP,
		flavor = STRINGS.ITEMS.REVOLVER_DECKARD_FLAVOR,
		icon = "itemrigs/FloorProp_Pistol.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_revolver_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_revolver.png",			
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { weaponType="pistol", baseDamage = 1, ammo = 6, maxAmmo = 6, noReload = true, soundRange = 6, EMP_bullets = true },
		sounds = {shoot="SpySociety/Weapons/LowBore/shoot_handgun", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup"},
		weapon_anim = "kanim_light_revolver",
		agent_anim = "anims_1h",
		value = 0,
	},

	item_energy_pistol = util.extend( commondefs.weapon_template )
	{
		name = STRINGS.ITEMS.PISTOL_ENERGY,
		desc = STRINGS.ITEMS.PISTOL_ENERGY_TOOLTIP,
		flavor = STRINGS.ITEMS.PISTOL_ENERGY_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_SMG.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_SMG_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_smg.png",			
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { weaponType="pistol", baseDamage = 1, pwrCost = 4, energyWeapon = "idle", armorPiercing = 2, shots=3, nopwr_guards = {}, soundRange = 9 },
		sounds = {shoot="SpySociety/Weapons/LowBore/shoot_smg", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup"},
		weapon_anim = "kanim_precise_smg",
		agent_anim = "anims_2h",
		value = 1250,
		soldAfter = 24,
		floorWeight = 3,
	},

	item_dartgun = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.ITEMS.DART_GUN1_NAME,
		desc = STRINGS.ITEMS.DART_GUN1_TOOLTIP,
		flavor = STRINGS.ITEMS.DART_GUN1_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Pistol.png",	
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_dart_small.png",			
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_dart.png",	
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { weaponType="pistol", baseDamage = 2, canSleep = true, ammo = 2, maxAmmo = 2, proxyKObonus = 4, proxyRange = -3, soundRange = 2 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_dart", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_dartgun_wood"},
		weapon_anim = "kanim_precise_revolver",
		agent_anim = "anims_1h",		
		value = 600,
	},

	item_dartgun_ammo = util.extend( commondefs.weapon_reloadable_template )
	{
		name =  STRINGS.ITEMS.DART_GUN_AMMO,
		desc =  STRINGS.ITEMS.DART_GUN_AMMO_TOOLTIP,
		flavor = STRINGS.ITEMS.DART_GUN_AMMO_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Pistol.png",	
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_dart_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_dart.png",				
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { weaponType="pistol", baseDamage = 2, canSleep = true, ammo = 5, maxAmmo = 5, soundRange = 3 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_dart", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_dartgun_wood"},
		weapon_anim = "kanim_precise_revolver",
		agent_anim = "anims_1h",
		value = 900,
	},

	item_dartgun_dam = util.extend( commondefs.weapon_reloadable_template )
	{
		name =  STRINGS.ITEMS.DART_GUN_DAM,
		desc =  STRINGS.ITEMS.DART_GUN_DAM_TOOLTIP,
		flavor =  STRINGS.ITEMS.DART_GUN_DAM_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Rifle.png",	
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-weapon_dart_rifle_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-weapon_dart_rifle.png",	
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { weaponType="pistol", baseDamage = 4, canSleep = true, ammo = 2, maxAmmo = 2, armorPiercing = 1, soundRange = 5 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_dart", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_dartgun_wood"},
		weapon_anim = "kanim_precise_rifle",
		agent_anim = "anims_2h",
		value = 950,
	},

	item_bio_dartgun = util.extend( commondefs.weapon_template )
	{
		name = STRINGS.ITEMS.DART_GUN_BIO,
		desc = STRINGS.ITEMS.DART_GUN_BIO_TOOLTIP,
		flavor = STRINGS.ITEMS.DART_GUN_BIO_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Pistol.png",	
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_dart_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_dart.png",				
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { weaponType="pistol", baseDamage = 2, cooldown = 0, cooldownMax = 7, canSleep = true },
        	abilities = util.tmerge( { "recharge" }, commondefs.weapon_template.abilities ),
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_dart", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup"},
		weapon_anim = "kanim_precise_revolver",
		agent_anim = "anims_1h",
		value = 700,
	},

	item_baton = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.BATON,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.BATON_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.BATON_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_phoenix_injection_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_pheonix_injector.png",
		WEAPON_LIST = true,		
		traits = { baseDamage = 1, cooldown = 0, cooldownMax = 5, melee = true, lethalMelee = true, tazer = true, level = 1, usesCharges=true, charges=2, chargesMax=2, soundRange = 2 },
		floorWeight = 2,
		value = 1200,
		soldAfter = 24,
	},

	W93_weapon_baton_2 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.BATON_2,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.BATON_2_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.BATON_2_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_phoenix_injection_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_pheonix_injector.png",
		WEAPON_LIST = true,		
		traits = { baseDamage = 1, cooldown = 0, cooldownMax = 6, armorPiercing = 1, melee = true, lethalMelee = true, tazer = true, level = 2, usesCharges=true, charges=2, chargesMax=2, soundRange = 2 },
		floorWeight = 2,
		value = 1400,
		soldAfter = 24,
	},

	W93_weapon_baton_3 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.BATON_3,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.BATON_3_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.BATON_3_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_phoenix_injection_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_pheonix_injector.png",
		WEAPON_LIST = true,		
		traits = { baseDamage = 1, cooldown = 0, cooldownMax = 7, armorPiercing = 2, melee = true, lethalMelee = true, tazer = true, level = 3, usesCharges=true, charges=2, chargesMax=2, soundRange = 2 },
		value = 1600,
		floorWeight = 3,
		soldAfter = 48, 
	},

	W93_weapon_pwr_baton = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_defiblance_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_defiblance.png",
		WEAPON_LIST = true,		
		traits = { baseDamage = 1, pwrCost = 4, melee = true, lethalMelee = true, tazer = true, level = 1, usesCharges=true, charges=2, chargesMax=2 },
		floorWeight = 2,
		value = 1000,
		soldAfter = 24,
	},

	W93_weapon_pwr_baton_2 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON_2,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON_2_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON_2_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_defiblance_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_defiblance.png",
		WEAPON_LIST = true,		
		traits = { baseDamage = 1, pwrCost = 5, armorPiercing = 1, melee = true, lethalMelee = true, tazer = true, level = 2, usesCharges=true, charges=2, chargesMax=2 },
		floorWeight = 2,
		value = 1200,
		soldAfter = 24,
	},

	W93_weapon_pwr_baton_3 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON_3,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON_3_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON_3_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_defiblance_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_defiblance.png",
		WEAPON_LIST = true,		
		traits = { baseDamage = 1, pwrCost = 6, armorPiercing = 2, melee = true, lethalMelee = true, tazer = true, level = 3, usesCharges=true, charges=2, chargesMax=2 },
		value = 1400,
		floorWeight = 3,
		soldAfter = 48, 
	},

	item_xray_rifle = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.ITEMS.RIFLE_XRAY,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.RIFLE_XRAY_TIP,
		flavor = STRINGS.ITEMS.RIFLE_XRAY_FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",			
		equipped_icon = "gui/items/equipped_rifle.png",
		WEAPON_LIST = true,
		traits = { weaponType="rifle", baseDamage = 1, ammo = 1, maxAmmo = 1, xray = true, soundRange = 8 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_light_rifle",
		agent_anim = "anims_2h",
		value = 1000,
		floorWeight = 3,
		soldAfter = 24, 
	},

	W93_weapon_dartgun_powerful = util.extend( commondefs.weapon_reloadable_template )
	{
		name =  STRINGS.ITEMSEXTEND.WEAPONS.DARTGUN_POWERFULL,
		desc =  STRINGS.ITEMSEXTEND.WEAPONS.DARTGUN_POWERFULL_TIP,
		flavor =  STRINGS.ITEMSEXTEND.WEAPONS.DARTGUN_POWERFULL_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Rifle.png",	
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-weapon_dart_rifle_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-weapon_dart_rifle.png",	
		equipped_icon = "gui/items/equipped_pistol.png",
		WEAPON_LIST = true,
		traits = { weaponType="rifle", baseDamage = 3, canSleep = true, ammo = 1, maxAmmo = 1, armorPiercing = 2, soundRange = 6  },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_dartgun_wood"},
		weapon_anim = "kanim_precise_rifle",
		agent_anim = "anims_2h",
		value = 950,
	},

	W93_weapon_dartgun_range = util.extend( commondefs.weapon_reloadable_template )
	{
		name =  STRINGS.ITEMSEXTEND.WEAPONS.DARTGUN_RANGE,
		desc =  STRINGS.ITEMSEXTEND.WEAPONS.DARTGUN_RANGE_TIP,
		flavor =  STRINGS.ITEMSEXTEND.WEAPONS.DARTGUN_RANGE_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Rifle.png",	
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-weapon_dart_rifle_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-weapon_dart_rifle.png",	
		equipped_icon = "gui/items/equipped_pistol.png",
		WEAPON_LIST = true,
		traits = { weaponType="rifle", baseDamage = 2, canSleep = true, ammo = 2, maxAmmo = 2, armorPiercing = 1, proxyKObonus = 4, proxyRange = 8, soundRange = 8  },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_dartgun_wood"},
		weapon_anim = "kanim_precise_rifle",
		agent_anim = "anims_2h",
		value = 1100,
		soldAfter = 24,
	},

	W93_weapon_gamma_beam = util.extend( commondefs.weapon_template )
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.GAMMA_BEAM,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.GAMMA_BEAM_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.GAMMA_BEAM_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Rifle.png",	
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",			
		equipped_icon = "gui/items/equipped_rifle.png",
		WEAPON_LIST = true,
        	abilities = util.tmerge( { "recharge" }, commondefs.weapon_template.abilities ),
		traits = { weaponType="rifle", baseDamage = 1, cooldown = 0, cooldownMax = 15, armorPiercing = 1, xray = true, soundRange = 11 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_precise_rifle",
		agent_anim = "anims_2h",
		value = 2400,
		floorWeight = 4,
		soldAfter = 72,
	},

	W93_weapon_gamma_pulse = util.extend( commondefs.weapon_template )
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.GAMMA_PULSE,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.GAMMA_PULSE_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.GAMMA_PULSE_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Rifle.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",			
		equipped_icon = "gui/items/equipped_rifle.png",
		WEAPON_LIST = true,
		traits = { weaponType="rifle", baseDamage = 1, armorPiercing = 2, ammo = 3, maxAmmo = 3, noReload = true,  xray = true, soundRange = 8 },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_precise_rifle",
		agent_anim = "anims_2h",
		value = 1800,
		floorWeight = 4,
		soldAfter = 72,
	},

	W93_weapon_ping_pistol = util.extend( commondefs.weapon_template )
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.PING_PISTOL,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.PING_PISTOL_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.PING_PISTOL_FLAVOR,
		icon = "itemrigs/FloorProp_Pistol.png",	
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_microchip_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_microchip.png",				
		equipped_icon = "gui/items/equipped_pistol.png",
		WEAPON_LIST = true,
		abilities = { "carryable", "equippable" },
		traits = { weaponType="pistol", baseDamage = 0, cooldown=0, cooldownMax=3, noTargetAlert=true, ignoreArmor=true, targetNotAlerted=true, onHitMpDrain = true },
		sounds = { shoot="SpySociety/Weapons/Precise/shoot_dart", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup"},
		weapon_anim = "kanim_precise_revolver",
		agent_anim = "anims_1h",
		value = 100,
		floorWeight = 2,
	},

	W93_weapon_emp_pistol = util.extend( commondefs.weapon_template )
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.EMP_PISTOL,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.EMP_PISTOL_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.EMP_PISTOL_FLAVOR,
		icon = "itemrigs/FloorProp_Pistol.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_pistol_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_pistol.png",			
		equipped_icon = "gui/items/equipped_pistol.png",
		WEAPON_LIST = true,
		abilities = { "carryable", "shootSingle", "equippable", "reload" },
		traits = { weaponType="pistol", baseDamage = 0, ammo = 7, maxAmmo = 7, soundRange = 6, modeEmpdamage = 2, canEmp=true },
		sounds = {shoot="SpySociety/Weapons/LowBore/shoot_handgun", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_handgun_wood"},
		weapon_anim = "kanim_light_revolver",
		agent_anim = "anims_1h",
		value = 450,
	},

	W93_weapon_emp_dart = util.extend( commondefs.weapon_template )
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.EMP_DART,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.EMP_DART_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.EMP_DART_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Pistol.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-weapon_emp_dart_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-weapon_emp_dart.png",				
		equipped_icon = "gui/items/equipped_pistol.png",
		WEAPON_LIST = true,
		abilities = { "carryable", "shootSingle", "equippable", "reload", "W93_switchWeaponMode" },
		traits = { weaponType="pistol", baseDamage = 2, canSleep = true, ammo = 3, maxAmmo = 3, soundRange = 2, modeKOdamage = 2, modeEmpdamage = 3, modeEmp_AP = 2, mode = "KO" },
		sounds = { shoot="SpySociety/Weapons/Precise/shoot_dart", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup"},
		weapon_anim = "kanim_precise_revolver",
		agent_anim = "anims_1h",
		value = 700,
	},

	W93_weapon_emp_rifle = util.extend( commondefs.weapon_template )
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.EMP_RIFLE,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.EMP_RIFLE_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.EMP_RIFLE_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Rifle.png",		
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",			
		equipped_icon = "gui/items/equipped_rifle.png",
		WEAPON_LIST = true,
		abilities = { "carryable", "shootSingle", "equippable", "reload" },
		traits = { weaponType="rifle", baseDamage = 0, armorPiercing = 2, ammo = 2, maxAmmo = 2, soundRange = 7, modeEmpdamage = 6, canEmp=true },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle", reload="SpySociety/Weapons/Precise/reload_rifle", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_rifle_wood"},
		weapon_anim = "kanim_precise_rifle",
		agent_anim = "anims_2h",
		value = 1200,
		floorWeight = 3,
		soldAfter = 24,
	},
}

return weapon_templates