local util = include( "modules/util" )
local commondefs = include( "sim/unitdefs/commondefs" )
local simdefs = include( "sim/simdefs" )

local weapon_templates =
{
	item_armor_tazer_1_17_15 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.DLC1.TAZER_ARMOR_1,
		desc = string.format(STRINGS.ITEMSEXTEND.ITEMS.TAZER_ARMOR_TIP, 4),
		flavor = STRINGS.DLC1.TAZER_ARMOR_1_FLAVOR,

		WEAPON_LIST = true,
                                                 
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_thermal_disruptor_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_thermal_disruptor.png",		
		abilities = { "carryable"},
		requirements = {  },
		traits = { damage = 1, usesCharges=true, charges=4, chargesMax=5, armorPWRcost = 4, armorPiercing = 4, melee = true, tazer = true, level = 1, soundRange = 3, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		value = 500,
		floorWeight = 1,		
	},
	
	item_armor_tazer_2 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.DLC1.TAZER_ARMOR_2,
		desc = string.format(STRINGS.ITEMSEXTEND.ITEMS.TAZER_ARMOR_TIP, 3),
		flavor = STRINGS.DLC1.TAZER_ARMOR_2_FLAVOR,

		WEAPON_LIST = true,

		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_thermal_disruptor_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_thermal_disruptor.png",		
		abilities = { "carryable"},
		requirements = {  },
		traits = { damage = 2, usesCharges=true, charges=3, chargesMax=5, armorPWRcost = 3, armorPiercing = 4,  melee = true, tazer = true, level = 2, soundRange = 3, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		value = 700,
		floorWeight = 2,		
	},

	item_armor_tazer_3 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.DLC1.TAZER_ARMOR_3,
		desc = string.format(STRINGS.ITEMSEXTEND.ITEMS.TAZER_ARMOR_TIP, 2),
		flavor = STRINGS.DLC1.TAZER_ARMOR_3_FLAVOR,

		WEAPON_LIST = true,

		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_thermal_disruptor_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_thermal_disruptor.png",		
		abilities = { "carryable"},
		requirements = {},
		traits = { damage = 3, usesCharges=true, charges=2, chargesMax=5, armorPWRcost = 2, armorPiercing = 4,  melee = true, tazer = true, level = 3, soundRange = 3, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		value = 900,
		floorWeight = 3,		
		soldAfter = 24, 
	},

	item_armor_tazer_4 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.DLC1.TAZER_ARMOR_4,
		desc = string.format(STRINGS.ITEMSEXTEND.ITEMS.TAZER_ARMOR_TIP, 1),
		flavor = STRINGS.DLC1.TAZER_ARMOR_4_FLAVOR,
		WEAPON_LIST = true,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_thermal_disruptor_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_thermal_disruptor.png",		
		abilities = { "carryable"},
		requirements = { inventory = 2 },
		traits = { damage = 4, usesCharges=true, charges=1, chargesMax=5, armorPWRcost = 1, armorPiercing = 4, melee = true, tazer = true, level = 3, soundRange = 3, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		value = 1100,
		floorWeight = 4,		
		soldAfter = 72, 
	},

	item_tazer_4 = util.extend(commondefs.melee_template)
	{
		name =  STRINGS.DLC1.TAZER_4,
		desc =  STRINGS.DLC1.TAZER_4_TOOLTIP,
		flavor =  STRINGS.DLC1.TAZER_4_FLAVOR,
		WEAPON_LIST = true,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_tazer_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_tazer.png",		
		requirements = { inventory = 2 },
		traits = { damage = 5, cooldown = 0, cooldownMax = 6, armorPiercing = 3, melee = true, tazer = true, level = 3, soundRange = 2, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		value = 1100,
		floorWeight = 4,
		soldAfter = 72, 
	},

	item_power_tazer_4 = util.extend(commondefs.melee_template)
	{
		name =  STRINGS.DLC1.TAZER_PWR_4,
		desc =  STRINGS.DLC1.TAZER_PWR_4_TOOLTIP,
		flavor =  STRINGS.DLC1.TAZER_PWR_4_FLAVOR,
		WEAPON_LIST = true,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_tazer_pwr_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_tazer_pwr.png",		
		abilities = { "carryable" },
		requirements = { inventory = 2 },
		traits = { damage = 5, pwrCost = 6, armorPiercing = 3, melee = true, tazer = true, level = 3, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		value = 1100,
		floorWeight = 4,	
		soldAfter = 72, 	
	},

	item_dartgun_ultra = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.DLC1.MONO_RAIL_GUN,
		desc = STRINGS.DLC1.MONO_RAIL_GUN_TOOLTIP,
		flavor = STRINGS.DLC1.MONO_RAIL_GUN_FLAVOR,
		icon = "itemrigs/FloorProp_Precision_Rifle.png",	
		WEAPON_LIST = true,
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-weapon_dart_rifle_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-weapon_dart_rifle.png",	
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { weaponType="pistol", baseDamage = 2, canSleep = true, ammo = 2, maxAmmo = 2, ammoRequired = 2, ignoreArmor = true, soundRange = 8, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_dartgun_wood", extraShoot="SpySociety_DLC001/Weapons/DLC/shoot_DLC_dart"},
		requirements = { inventory = 4 },
		weapon_anim = "kanim_precise_rifle",
		agent_anim = "anims_2h",
		value = 1200,
		floorWeight = 4,
		soldAfter = 48, 
	},

	item_rifle_ultra = util.extend( commondefs.weapon_reloadable_template )
	{
		name = STRINGS.DLC1.AP_RIFLE,
		desc = STRINGS.ITEMS.PISTOL_AMMO_TOOLTIP,
		flavor = STRINGS.DLC1.AP_RIFLE_FLAVOR,
		icon = "itemrigs/FloorProp_Rifle.png",
		WEAPON_LIST = true,	
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_gun_rifle_small.png",	
		profile_icon_100 = "gui/icons/item_icons/icon-item_gun_rifle.png",			
		equipped_icon = "gui/items/equipped_pistol.png",
		traits = { weaponType="pistol", baseDamage = 1, ammo = 2, maxAmmo = 2, ammoRequired=2, ignoreArmor = true, soundRange = 11, dlcFooter = { "Contingency Plan","gui/icons/contingency_plan.png","Klei"} },
		sounds = {shoot="SpySociety/Weapons/Precise/shoot_rifle_silenced", reload="SpySociety/Weapons/LowBore/reload_handgun", use="SpySociety/Actions/item_pickup",shell="SpySociety/Weapons/Shells/shell_handgun_wood", extraShoot="SpySociety_DLC001/Weapons/DLC/shoot_DLC_rifle"},
		requirements = { inventory = 4 },
		weapon_anim = "kanim_precise_rifle",
		agent_anim = "anims_2h",
		value = 1500,
		floorWeight = 4,
		soldAfter = 48, 
	},

	W93_weapon_baton_4 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.BATON_4,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.BATON_4_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.BATON_4_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_phoenix_injection_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_pheonix_injector.png",
		WEAPON_LIST = true,		
		traits = { baseDamage = 1, cooldown = 0, cooldownMax = 8, armorPiercing = 3, melee = true, lethalMelee = true, tazer = true, level = 4, usesCharges=true, charges=2, chargesMax=2, soundRange = 2 },
		requirements = { inventory = 2 },
		value = 1800,
		floorWeight = 4,
		soldAfter = 72, 
	},

	W93_weapon_pwr_baton_4 = util.extend(commondefs.melee_template)
	{
		name = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON_4,
		desc = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON_4_TIP,
		flavor = STRINGS.ITEMSEXTEND.WEAPONS.PWR_BATON_4_FLAVOR,
		icon = "itemrigs/FloorProp_AmmoClip.png",
		profile_icon = "gui/icons/item_icons/items_icon_small/icon-item_defiblance_small.png",
		profile_icon_100 = "gui/icons/item_icons/icon-item_defiblance.png",
		WEAPON_LIST = true,		
		traits = { baseDamage = 1, pwrCost = 7, armorPiercing = 3, melee = true, lethalMelee = true, tazer = true, level = 4, usesCharges=true, charges=2, chargesMax=2 },
		requirements = { inventory = 2 },
		value = 1600,
		floorWeight = 4,
		soldAfter = 72, 
	},
}

return weapon_templates